/*-----------------------------------------------------------------*/
/*	Copyright (C)	Hach-Lange (2005). All Rights Reserved.	   */
/*	Product:		SIMATIC PDM  			   */
/*	Device:			SC1000 V1       		   */
/*	Description:		Device Description	           */
/*	Dictionary:		SIPADC01.dct			   */
/*  	$Revision:		0.1  $				   */
/*  	$Date:			14.Nov 2005			   */
/*	File:			A1_SC1000Amtax.inc 		   */
/*	Author:			T.Thiel Hach-Lange	           */
/*-----------------------------------------------------------------*/


/************************************************************************/
/*		Variables						*/
/************************************************************************/



VARIABLE A1_Measurement1
{
	LABEL 	"1st chan: NH4-N value" 	"|de|Kanal 1 NH4-N Messwert";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	
}

VARIABLE A1_Measurement2
{
	LABEL 	"1st chan: NH4 value" 		"|de|Kanal 1 NH4 Messwert";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"%";
}

VARIABLE A1_Measurement3
{
	LABEL 	"2st chan: NH4-N value" 	"|de|Kanal 2 NH4-N Messwert";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"C ";
}

VARIABLE A1_Measurement4
{
	LABEL 	"2st chan: NH4 value" 		"|de|Kanal 2 NH4 Messwert";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"C ";
}

VARIABLE A1_Unit1
{
	LABEL 	"Unit" 			"|de|Einheit Kanal 1";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
			DEFAULT_VALUE 0;
			{0,			"mg/l"	},
			{2,			"ppm"	}
				
						
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE A1_Unit2
{
	LABEL 	"Unit" 			"|de|Einheit Kanal 2";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
			DEFAULT_VALUE 0;
			{0,			"mg/l"	},
			{2,			"ppm"	}
				
						
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE A1_CalibInterv
{
	LABEL 	"Calibration Intervall" 			"|de|Kalibrierintervall";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
			DEFAULT_VALUE 0;
			{0,			"Off"	},
			{1,			"12 h"	},
			{2,			"24 h"	},
			{3,			"36 h"	},
			{4,			"48 h"	}
						
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE A1_CleaningInterv
{
	LABEL 	"Cleaning Intervall" 			"|de|Reinigungsintervall";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
			DEFAULT_VALUE 0;
			{0,			"Off"	},
			{1,			"1 h"	},
			{3,			"3 h"	},
			{6,			"6 h"	},
			{8,			"8 h"	},
			{12,			"12 h"	},
			{24,			"24 h"	},
						
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE A1_BusEnable
{
	LABEL 	"Start action" 			"|de|Fernauslsung";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
			DEFAULT_VALUE 0;
			{0,			"Stop"	},
			{1,			"Start"	}
			
						
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE A1_BusCleanCalib
{
	LABEL 	"Clean and Calibration" 	"|de|Reinigen & Kalibrieren";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
			DEFAULT_VALUE 0;
			{0,			"Stop"	},
			{1,			"Start"	}
			
						
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE A1_CalibStart
{
	LABEL 	"Calibration Start" 			"|de|Kalibrierung Startzeit";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
			DEFAULT_VALUE 0;
			{0,			"0:00"	},
			{1,			"1:00"	},
			{2,			"2:00"	},
			{3,			"3:00"	},
			{4,			"4:00"	}
			{5,			"5:00"	},
			{6,			"6:00"	},
			{7,			"7:00"	},
			{8,			"8:00"	},
			{9,			"9:00"	},
			{10,			"10:00"	},
			{11,			"11:00"	},
			{12,			"12:00"	},
			{13,			"13:00"	},
			{14,			"14:00"	}
			{15,			"15:00"	},
			{16,			"16:00"	},
			{17,			"17:00"	},
			{18,			"18:00"	},
			{19,			"19:00"	},
			{20,			"20:00"	},
			{21,			"21:00"	},
			{22,			"22:00"	},
			{23,			"23:00"	}
									
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE A1_MeasInterv
{
	LABEL 	"Measuring Intervall" 			"|de|Messintervall";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
			DEFAULT_VALUE 0;
			{0,			"5 min"		},
			{1,			"10 min"	},
			{2,			"15 min"	},
			{3,			"20 min"	},
			{4,			"25 min"	}
			{5,			"30 min"	},
			{6,			"35 min"	},
			{7,			"40 min"	},
			{8,			"45 min"	},
			{9,			"50 min"	},
			{10,			"55 min"	},
			{11,			"60 min"	},
			{12,			"65 min"	},
			{13,			"70 min"	},
			{14,			"75 min"	}
			{15,			"80 min"	},
			{16,			"85 min"	},
			{17,			"90 min"	},
			{18,			"95 min"	},
			{19,			"100 min"	},
			{20,			"105 min"	},
			{21,			"110 min"	},
			{22,			"115 min"	},
			{23,			"120 min"	}
						
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE A1_CleaningStart
{
	LABEL 	"Cleaning Start" 			"|de|Reinigung Startzeit";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
			DEFAULT_VALUE 0;
			{0,			"0:00"	},
			{1,			"1:00"	},
			{2,			"2:00"	},
			{3,			"3:00"	},
			{4,			"4:00"	}
			{5,			"5:00"	},
			{6,			"6:00"	},
			{7,			"7:00"	},
			{8,			"8:00"	},
			{9,			"9:00"	},
			{10,			"10:00"	},
			{11,			"11:00"	},
			{12,			"12:00"	},
			{13,			"13:00"	},
			{14,			"14:00"	}
			{15,			"15:00"	},
			{16,			"16:00"	},
			{17,			"17:00"	},
			{18,			"18:00"	},
			{19,			"19:00"	},
			{20,			"20:00"	},
			{21,			"21:00"	},
			{22,			"22:00"	},
			{23,			"23:00"	}
									
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}


VARIABLE A1_Diag1
{
	LABEL 	"Temperature Electrode" 	"|de|Elektrodentemperatur";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"C";
}

VARIABLE A1_Diag2
{
	LABEL 	"Temperature inside" 		"|de|Innentemperatur";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"C";
}

VARIABLE A1_Diag3
{
	LABEL 	"Software Version" 		"|de|Softwareversion";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"Grad";
}

VARIABLE A1_Diag4
{
	LABEL 	"Blue Amplitude" 	"|de|Amplitude blau";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"0..1";
}

VARIABLE A1_Diag5
{
	LABEL 	"Red Amplitude" 	"|de|Amplitude rot";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"0..1";
}


VARIABLE A1_Diag6
{
	LABEL 	"Software version" 	"|de|Softwareversion";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
}

VARIABLE A1_AltPress
{
	LABEL 	"Altitude/Pressure"	"|de|Hhe/Druck";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
		MIN_VALUE		0.0 ;
		MAX_VALUE		5000 ;		
			
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE A1_Salinity
{
	LABEL 	"Salinity"		"|de|Salzgehalt";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
		MIN_VALUE		0.0 ;
		MAX_VALUE		5000 ;		
			
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}



VARIABLE A1_UnitTemp
{
	LABEL 	"Temperature Unit"			"|de|Einheit Temperatur";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
			DEFAULT_VALUE 2;
			{0,			"mg/l"	},
			{1,			"g/l"   },
			{2,			"ppm"	},
			{3,			"mE"    },
			{6,			"FNU"	},
			{7,			"NTU"   },
			{8,			"TE/F"	},
			{9,			"EBC"   },
			{10,			"%"     },
			{25,			"C"   	},
			{26,			"F"     }
			
						
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE A1_UnitTemp
{
	LABEL 	"Temperature Unit"			"|de|Einheit Temperatur";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
			DEFAULT_VALUE 0;
			{0,			"mg/l"	},
			{1,			"g/l"   },
			{2,			"ppm"	},
			{3,			"mE"    },
			{6,			"FNU"	},
			{7,			"NTU"   },
			{8,			"TE/F"	},
			{9,			"EBC"   },
			{10,			"%"     },
			{25,			"C"   	},
			{26,			"F"     }
			
						
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}


VARIABLE A1_UnitAltP
{
	LABEL 	"Alt Pressure Unit" 	"|de|Einheit Hhe/Druck";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			{13,		"m" 		"|de|Meter" 	},
			{43,		"feet" 	        "|de|Fu"	},
			{45,		"mmHg" 		"|de|mmHg" 	},
			{47,		"torr" 		"|de|torr"	}
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE A1_Slope
{
	LABEL 	"Slpope"	"|de|Steilheit";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
			
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE A1_Parameter1
{
	LABEL 	"Measurement Mode Channel 1"	"|de|Messparameter Kanal 1";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			{19,			"NH4-N"	},
			{42,			"NH4"	}
		}
	HANDLING	READ ;
}

VARIABLE A1_Parameter2
{
	LABEL 	"Measurement Mode Channel 2"	"|de|Messparameter Kanal 2";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			{19,			"NH4-N"	},
			{42,			"NH4"	}
		}
	HANDLING	READ ;
}

VARIABLE A1_Correction1
{
	LABEL 	"Correction Channel 1"		"|de|Korrekturfaktor Kanal 1";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
		MIN_VALUE		 0.0 ;
		MAX_VALUE		 100.0 ;	
			
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE A1_Correction2
{
	LABEL 	"Correction Channel 2"		"|de|Korrekturfaktor Kanal 2";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
		MIN_VALUE		 0.0 ;
		MAX_VALUE		 100.0 ;	
			
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE A1_Offset
{
	LABEL 	"Offset "		"|de|Offset";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
		MIN_VALUE		-5.0 ;
		MAX_VALUE		 5.0 ;		
			
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE A1_Process
{
	LABEL 	"Process Phase"		"|de|Prozess Schritt";
	CLASS	CONTAINED;
	TYPE	ENUMERATED (2)
	{
		{0,	"Service"			"|de|Service"			},
		{1,	"Citrocal activated"		"|de|Zitrokalibrierung "	},
		{2,	"Standard 1 calib activated"	"|de|Kalibrierung Stnd 1"	},
		{3,	"Standard 2 calib activated"	"|de|Kalibrierung Stnd 2"	},
		{4,	"Measuring Channel 1"		"|de|Messung Kanal 1"		},
		{5,	"Waiting intervall"		"|de|Pause / Intervall"		},
		{6,	"Initialize"			"|de|Initialisierung"		},
		{7,	"Service activated"		"|de|Service luft"		},
		{8,	"Cleaning"			"|de|Reinigung"			},
		{9,	"Heating"			"|de|Temperierung"		},
		{10,	"Measuring Channel 2"		"|de|Messung Kanal 2"		},
		{11,	"Reagent pumping"		"|de|Vorpumpen Reagenz"		},
		{12,	"Pumping Cleaner"		"|de|Vorpumpen Reiniger"	},
		{13,	"Pumping Standards"		"|de|Vorpumpen Standards"	},
		{14,	"Pumping Filtermodule"		"|de|Vorpumpen Filtersonde"	},
		{15,	"Flushing"			"|de|Splen luft"		},
		{16,	"Pumping Filtermodule"		"|de|Vorpumpen Filtersonde"	},
		{17,	"Fieldbus command mode"		"|de|Busauslsung"		}
		
        }
	HANDLING	READ;
}

VARIABLE A1_HeaterON
{
	LABEL 	"Tube Heater On" 	"|de|Schlauchheizung Ein";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			{0,		"Never" 		"|de|Nie" 	},
			{1,		"January" 		"|de|Januar" 	},
			{2,		"February" 	        "|de|Februar"	},
			{3,		"March" 		"|de|Mrz" 	},
			{4,		"April" 		"|de|April"	},
			{5,		"May" 			"|de|May" 	},
			{6,		"June" 	        	"|de|Juni"	},
			{7,		"July" 			"|de|Juli" 	},
			{8,		"August" 		"|de|August"	},
			{9,		"September" 		"|de|September" },
			{10,		"October" 	        "|de|Oktober"	},
			{11,		"November" 		"|de|November" 	},
			{12,		"December" 		"|de|Dezember"	}
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE A1_HeaterOFF
{
	LABEL 	"Tube Heater Off" 	"|de|Schlauchheizung Aus";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			
			{1,		"January" 		"|de|Januar" 	},
			{2,		"February" 	        "|de|Februar"	},
			{3,		"March" 		"|de|Mrz" 	},
			{4,		"April" 		"|de|April"	},
			{5,		"May" 			"|de|May" 	},
			{6,		"June" 	        	"|de|Juni"	},
			{7,		"July" 			"|de|Juli" 	},
			{8,		"August" 		"|de|August"	},
			{9,		"September" 		"|de|September" },
			{10,		"October" 	        "|de|Oktober"	},
			{11,		"November" 		"|de|November" 	},
			{12,		"December" 		"|de|Dezember"	}
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE A1_Integration
{
	LABEL 	"Integration"	"|de|Integration in Sekunden";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
        {
	
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}


VARIABLE A1_SampleLocation1
{
	LABEL 	"Probe Location" "|de|Einbauort";
	CLASS	CONTAINED;
	TYPE	ASCII (16)
		{
			DEFAULT_VALUE "";
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE A1_Cooling
{
	LABEL 	"Housing Cooler"	"|de|Innenkhler";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			
		}
	HANDLING	READ ;
	CONSTANT_UNIT 	"%";
}

VARIABLE A1_Heater
{
	LABEL 	"Housing Heater"	"|de|Innenheizung";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			
		}
	HANDLING	READ ;
	CONSTANT_UNIT 	"%";
}

VARIABLE A1_Filter
{
	LABEL 	"Degree of Pollution"	"|de|Verschmutzungsgrad Filter";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			
		}
	HANDLING	READ ;
	CONSTANT_UNIT 	"%";
}

VARIABLE A1_HumidityD
{
	LABEL 	"Humidity Device"	"|de|Feuchtigkeit Gert";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			
		}
	HANDLING	READ ;
	CONSTANT_UNIT 	"%";
}

VARIABLE A1_HumidityF
{
	LABEL 	"Humidity Filter"	"|de|Feuchtigkeit Filtersonde";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			
		}
	HANDLING	READ ;
	CONSTANT_UNIT 	"%";
}

VARIABLE A1_Range
{
	LABEL 	"Measurement Range"			"|de|Messbereich";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			{0,	"Small"			"|de|Klein 0.05 - 20 mg/l"	},
			{1,	"Medium"		"|de|Mittel 1 - 100 mg/l"	},
			{2,	"Large"			"|de|Gro 10 - 1000 mg/l"	},
		}
	HANDLING	READ ;
}

VARIABLE A1_Option
{
	LABEL 	"Mode of operation"			"|de|Betriebsart";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			{0,	"filter only"		"|de|Filtersonde"	},
			{1,	"single channel"	"|de|Einkanalbetrieb"	},
			{2,	"double channel"	"|de|Zweikanalbetrieb"	},
		}
	HANDLING	READ ;
}


VARIABLE A1_Chem1
{
	LABEL 	"Reagent Level"			"|de|Fllstand Reagenz";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			
		}
	HANDLING	READ ;
	CONSTANT_UNIT 	"%";
}

VARIABLE A1_Chem2
{
	LABEL 	"Cleaner Level"			"|de|Fllstand Reinigunslsung";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			
		}
	HANDLING	READ ;
	CONSTANT_UNIT 	"%";
}

VARIABLE A1_Chem3
{
	LABEL 	"Standard Reagent Level"	"|de|Fllstand Standardlsung";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			
		}
	HANDLING	READ ;
	CONSTANT_UNIT 	"%";
}

VARIABLE A1_Attendet
{
	LABEL 	"Operating Hours"			"|de|Betriebsstunden";
	CLASS	DYNAMIC;
	TYPE	INTEGER (4)
		{
			
		}
	HANDLING	READ ;
	CONSTANT_UNIT 	"h";
}
/************************************************************************/
/*		COMMANDS														*/
/************************************************************************/


COMMAND read_A1_Measurement1
{
	SLOT 21;
	INDEX 0;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            A1_Measurement1
        }
    }
}

COMMAND read_A1_Measurement2
{
	SLOT 21;
	INDEX 2;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            A1_Measurement2
        }
    }
}

COMMAND read_A1_Measurement3
{
	SLOT 21;
	INDEX 4;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            A1_Measurement3
        }
    }
}

COMMAND read_A1_Diag1
{
	SLOT 21;
	INDEX 6;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            A1_Diag1
        }
    }
}

COMMAND read_A1_Diag2
{
	SLOT 21;
	INDEX 8;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            A1_Diag2
        }
    }
}

COMMAND read_A1_Diag3
{
	SLOT 21;
	INDEX 12;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            A1_Diag3
        }
    }
}

COMMAND read_A1_Diag4
{
	SLOT 21;
	INDEX 12;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            A1_Diag4
        }
    }
}

COMMAND read_A1_Diag5
{
	SLOT 21;
	INDEX 14;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            A1_Diag5
        }
    }
}

COMMAND read_A1_Diag6
{
	SLOT 21;
	INDEX 16;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            A1_Diag6
        }
    }
}

COMMAND read_A1_AltPress
{
	SLOT 21;
	INDEX 40;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            A1_AltPress
        }
    }
}

COMMAND write_A1_AltPress
{
	SLOT 21;
	INDEX 40;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              A1_AltPress
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_A1_Salinity
{
	SLOT 21;
	INDEX 42;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            A1_Salinity
        }
    }
}

COMMAND write_A1_Salinity
{
	SLOT 21;
	INDEX 42;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              A1_Salinity
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_A1_Correction
{
	SLOT 21;
	INDEX 36;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            A1_Correction
        }
    }
}

COMMAND write_A1_Correction
{
	SLOT 21;
	INDEX 36;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              A1_Correction
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_A1_CorrectionSlope
{
	SLOT 21;
	INDEX 46;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            A1_CorrectionSlope
        }
    }
}

COMMAND write_A1_CorrectionSlope
{
	SLOT 21;
	INDEX 46;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              A1_CorrectionSlope
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_A1_Offset
{
	SLOT 21;
	INDEX 44;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            A1_Offset
        }
    }
}

COMMAND write_A1_Offset
{
	SLOT 21;
	INDEX 44;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              A1_Offset
        }
        REPLY
        {
            
        }
    }
}


COMMAND read_A1_UnitConc
{
	SLOT 21;
	INDEX 90;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            A1_UnitConc
        }
    }
}

COMMAND write_A1_UnitConc
{
	SLOT 21;
	INDEX 90;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              A1_UnitConc
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_A1_UnitAltP
{
	SLOT 21;
	INDEX 91;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            A1_UnitAltP
        }
    }
}

COMMAND write_A1_UnitAltP
{
	SLOT 21;
	INDEX 91;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              A1_UnitAltP
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_A1_UnitTemp
{
	SLOT 21;
	INDEX 92;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            A1_UnitTemp
        }
    }
}

COMMAND write_A1_UnitTemp
{
	SLOT 21;
	INDEX 92;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              A1_UnitTemp
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_A1_Integration
{
	SLOT 21;
	INDEX 104;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            A1_Integration
        }
    }
}

COMMAND write_A1_Integration
{
	SLOT 21;
	INDEX 104;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              A1_Integration
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_A1_SampleLocation
{
	SLOT 21;
	INDEX 98;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            A1_SampleLocation
        }
    }
}

COMMAND write_A1_SampleLocation
{
	SLOT 21;
	INDEX 98;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              A1_SampleLocation
        }
        REPLY
        {
            
        }
    }
}

