/*-----------------------------------------------------------------*/
/*	Copyright (C)	Hach-Lange (2005). All Rights Reserved.	   */
/*	Product:		SIMATIC PDM  			   */
/*	Device:			SC1000 V1       		   */
/*	Description:		Device Description	           */
/*	Dictionary:		SIPADC01.dct			   */
/*  	$Revision:		0.1  $				   */
/*  	$Date:			8.Dec 2005			   */
/*	File:			SC1000Carbolyser.ddl	   	   */
/*	Author:			T.Thiel Hach-Lange	           */
/*-----------------------------------------------------------------*/

MANUFACTURER		 	213,
DEVICE_TYPE			1,
DEVICE_REVISION  		1,
DD_REVISION			1


#define DEVICE_TITLE			"SC1000 s::can Carbolyser"

#include	"c1_Carbolyser.inc"	//e::scan Carbolyser erstes Geraet

/************************************************************************/
/*		Variablen						*/
/************************************************************************/

VARIABLE VendorName
{
	LABEL 	"Vendor Name""|de|Geraetehersteller";
	CLASS	CONTAINED;
	TYPE	ASCII (16)
		{
			DEFAULT_VALUE "Hach-Lange";
		}
	HANDLING	READ;
}

VARIABLE ModelName
{
	LABEL 	"Fieldbus type" "|de|Profibustyp";
	CLASS	CONTAINED;
	TYPE	ASCII (32)
		{
			DEFAULT_VALUE "SC device";
		}
	HANDLING	READ;
}

VARIABLE ModelNummer
{
	LABEL 	"Model Number""|de|Profibusversion";
	CLASS	CONTAINED;
	TYPE	ASCII (32)
		{
			DEFAULT_VALUE "";
		}
	HANDLING	READ;
}

VARIABLE Seriac1_1
{
	LABEL 	"Serial No 1" 	"|de|Seriennummer 1";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	"x";
}

VARIABLE Seriac1_2
{
	LABEL 	"Serial No 2" 	"|de|Seriennummer 2";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	"x";
}

VARIABLE Seriac1_3
{
	LABEL 	"Serial No 3" 	"|de|Seriennummer 3";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	"x";
}

VARIABLE DeviceID1
{
	LABEL 	"Device ID" 	"|de|Geraetekennung";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			{11,			"1200 sc pH ORP"	},
			{12,			"LDO"			},
			{101,			"ULTRATURB SC"		},
			{102,			"Nitratax eco"  	},
			{103,			"Nitratax plus"		},
			{104,			"Solitax SC"    	},
			{105,			"Nitratax clear"	},
			{106,			"UVAS plus"     	},
			{107,			"S::CAN CARBOLYSER"	},
			{108,			"S::CAN NITROLYSER"     },
			{109,			"PHOSPHAX SC"     	},
			{109,			"AMTAX SC"     	 	}
					
								
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE ManufactID1
{
	LABEL 	"Manufacturer ID" 	"|de|Herstellerkennung";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE Length1
{
	LABEL 	"Length Member table" 	"|de|Lnge Teilnehmertabelle";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE Status1
{
	LABEL 	"Status ";
	CLASS	DYNAMIC;
	TYPE	BIT_ENUMERATED (2)
	{
		
		{0,   	"OK"						"|de|OK"	 		 },
		{1,   	"Calibration start / in progress"		"|de|Kalibrierung aktiv"	 },
		{2,   	"Cleaning start / in progress"			"|de|Reinigungszyklus aktiv"	 },
		{4,   	"Enter(d) Service/Maintenance menu"		"|de|Betriebsart Service"	 },
		{8,   	"Common Error"					"|de|Sammelstrung"		 },
		{16,   	"Measurement 0 Quality Bad"			"|de|Messung 0 Qualittsfehler"	 },
		{32,   	"Measurement 0 low limit"			"|de|Messung 0 unterer Grenzwert"},
		{64,    "Measurement 0 high limit"			"|de|Messung 0 oberer Grenzwert" },
		{128,   "Measurement 1 Quality Bad"			"|de|Messung 1 Qualittsfehler"	 },
		{256,   "Measurement 1 low limit"			"|de|Messung 1 unterer Grenzwert"},
		{512,   "Measurement 1 high limit"			"|de|Messung 1 oberer Grenzwert" },
		{1024,  "Measurement 2 Quality Bad"			"|de|Messung 2 Qualittsfehler"	 },
		{2048,  "Measurement 2 low limit"			"|de|Messung 2 unterer Grenzwert"},	
		{4096,  "Measurement 2 high limit"			"|de|Messung 2 oberer Grenzwert" },
		{8192,  "Measurement 3 Quality Bad"			"|de|Messung 3 Qualittsfehler"	 },
		{16384, "Measurement 3 low limit"			"|de|Messung 3 unterer Grenzwert"},
		{32768, "Measurement 3 high limit"			"|de|Messung 3 oberer Grenzwert" }
					
	}	
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE MemberTable
{
	LABEL 	"Member Table"		"|de|Teilnehmertabelle";
	CLASS	INPUT & OUTPUT;
	TYPE	INTEGER (16)
        {
	
        }
	HANDLING	READ & WRITE;
}

VARIABLE Error1
{
	LABEL	"Error Classes Member "		"|de|Fehlermeldung";
	CLASS	CONTAINED;
	TYPE	BIT_ENUMERATED (2)
	{
			{0,   	"No Error"				"|de|Kein Fehler"			},
			{1,   	"Measurement calibration Error"		"|de|Kalibrierfehler"			},
			{2,   	"Electronic adjustment Error"		"|de|Elektronik / Einstellfehler"	},
			{4,   	"Cleaning Error"			"|de|Reinigungsfehler"			},
			{8,   	"Measuring module Error"		"|de|Messmodulfehler"			},
			{16,   	"Settings Error"			"|de|Fehler Einstellungen"		},
			{32,   	"Hardware Error"			"|de|Hardwarefehler"			},
			{64,    "Internal communication Error"		"|de|Interner Kommunikationsfehler"	},
			{128,   "Humidity Error"			"|de|Feuchtigkeit erkannt"		},
			{256,   "Temperatur Error"			"|de|Temperaturfehler"			},
			{512,   ""										},
			{1024,  ""										},
			{2048,  ""										},	
			{4096,  "Questionable measurement Warning"	"|de|Warnung Messwert unsicher"		},
			{8192,  "Safety Warning"			"|de|Warnung Sicherheitseinrichtung"	},
			{16384, "Reagent Warning"			"|de|Warnung Reagenz"			},
			{32768, "Maintenance Warning"			"|de|Warnung Instandhaltung"		}
					
	}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE Profile
{
	LABEL 	"Modbus Profile"	"|de|Modbus Profile";
	CLASS	INPUT & OUTPUT;
	TYPE	INTEGER (42)
        {
	
        }
	HANDLING	READ & WRITE;
}


VARIABLE Errorclasses
{
	LABEL	"Error Classes"		"|de|Fehlerklassen";
	CLASS	CONTAINED;
	TYPE	BIT_ENUMERATED (2)
	{
			{0,   	"No Error"				"|de|Kein Fehler"			},
			{1,   	"Measurement calibration Error"		"|de|Kalibrierfehler"			},
			{2,   	"Electronic adjustment Error"		"|de|Elektronik / Einstellfehler"	},
			{4,   	"Cleaning Error"			"|de|Reinigungsfehler"			},
			{8,   	"Measuring module Error"		"|de|Messmodulfehler"			},
			{16,   	"Settings Error"			"|de|Fehler Einstellungen"		},
			{32,   	"Hardware Error"			"|de|Hardwarefehler"			},
			{64,    "Internal communication Error"		"|de|Interner Kommunikationsfehler"	},
			{128,   "Humidity Error"			"|de|Feuchtigkeit erkannt"		},
			{256,   "Temperatur Error"			"|de|Temperaturfehler"			},
			{512,   ""										},
			{1024,  ""										},
			{2048,  ""										},	
			{4096,  "Questionable measurement Warning"	"|de|Warnung Messwert unsicher"		},
			{8192,  "Safety Warning"			"|de|Warnung Sicherheitseinrichtung"	},
			{16384, "Reagent Warning"			"|de|Warnung Reagenz"			},
			{32768, "Maintenance Warning"			"|de|Warnung Instandhaltung"		}
					
	}
	HANDLING	READ;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}



/************************************************************************/
/*		COMMANDS														*/
/************************************************************************/




COMMAND read_VendorName
{
	SLOT 0;
	INDEX 100;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            VendorName
        }
    }
}

COMMAND read_ModelName
{
	SLOT 0;
	INDEX 101;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            ModelName
        }
    }
}

COMMAND read_ModelNummer
{
	SLOT 0;
	INDEX 102;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            ModelNummer
        }
    }
}


COMMAND read_MemberTable
{
	SLOT 10;
	INDEX 0;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            Seriac1_1,
            Seriac1_2,
            Seriac1_3,
            DeviceID1,
            ManufactID1,
            Length1,
            Error1,
            Status1
        }
    }
}



COMMAND read_Errorclasses
{
	SLOT 1;
	INDEX 0;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            Errorclasses
        }
    }
}


 


/************************************************************************/
/*  Upload from device to PC              Daten lesen vom Gert zum PC	*/
/************************************************************************/

MENU download_variables
{
	LABEL	[menu_load_to_PC];
	ITEMS
	{ 
		VendorName,
		ModelName,
		ModelNummer,
		c1_Measurement1,
		c1_Measurement2,
		c1_Diag1,
		c1_Diag2,
		c1_MeasInt,
		c1_CleanInt,
		c1_CleanTime,
		c1_WaitTime,
		c1_Cleaning,
		c1_GlobalKal,
		c1_Referenz,
		c1_CleanService,
		c1_SampleLocation,
		c1_Unit1,
		c1_Unit2,
		c1_ParamM1_1,
		c1_ParamM2_1,
		c1_ParamM3_1,
		c1_ParamM4_1,
		c1_ParamM1_2,
		c1_ParamM2_2,
		c1_ParamM3_2,
		c1_ParamM4_2,
		c1_LocalCalib1,
            	c1_LocalCalib2,
		Status1,
		Seriac1_1,
		Seriac1_2,
		Seriac1_3,
		DeviceID1,
		Error1
		
		
		
	}
} 


/************************************************************************/
/*  Write from PC to device        Datenschreiben vom PC zum Gert	*/
/************************************************************************/

MENU upload_variables
{
	LABEL	[menu_load_to_device];
	ITEMS
	{
		c1_SampleLocation,
//		c1_Unit1,
//		c1_Unit2,
		c1_CleanInt,
		c1_MeasInt,
		c1_CleanTime,
		c1_WaitTime,
		c1_ParamM1_1,
		c1_ParamM2_1,
		c1_ParamM3_1,
		c1_ParamM4_1,
		c1_ParamM1_2,
		c1_ParamM2_2,
		c1_ParamM3_2,
		c1_ParamM4_2,
		c1_LocalCalib1,
            	c1_LocalCalib2
		
	}
}

/************************************************************************/
/*	  Table: Specialist													*/
/************************************************************************/

MENU Table_Main_Specialist
{
	LABEL	DEVICE_TITLE ;

	ITEMS
	{
		Tab_s_preferences,
		Tab_s_preferencesM1,
		Tab_s_settings,
		Tab_s_diag,
		Tab_s_output
	}
}

/************************************************************************/
/*	  Main Menus														*/
/************************************************************************/

/************************************************************************/
/*	  Menu: Bar															*/
/************************************************************************/

MENU Menu_Main_Specialist
{
    LABEL		[main_menu];
    ITEMS
    {
        Menu_File,
        Menu_S_Device,
        Menu_S_View,
        Menu_S_Options,
        Menu_Help
    }
}

/************************************************************************/
/*	  Menu: Device														*/
/************************************************************************/

MENU Menu_S_Device
{
    LABEL		[menu_Device];
    ITEMS
    {
        std_LoadinDevice,
        std_LoadinPC,
        SEPARATOR,
	OnlineWindow_range_preferences,
	OnlineWindow_range_preferences2,
	OnlineWindow_clean_calib
    }
}

/************************************************************************/
/*	  Menu: View														*/
/************************************************************************/

MENU Menu_S_View
{
    LABEL		[menu_View];
    ITEMS
    {
        OnlineWindow_display,
//	OnlineWindow_actual_mode
    }
}

/************************************************************************/
/*	  Online-Windows													*/
/************************************************************************/

MENU OnlineWindow_range_preferences
{
    LABEL	"Settings" 		"|de|Einstelldaten";
    ITEMS
    {
		Page_range_preferences,

    }
}

MENU Page_range_preferences
{
    LABEL	"Settings" 		"|de|Voreinstellungen" ;
    ITEMS
    	{
		
		c1_MeasInt,
		c1_CleanInt,
		c1_CleanTime,
		c1_WaitTime
	}
}

MENU OnlineWindow_range_preferences2
{
    LABEL	"local Calibration" 		"|de|Lokale Kalibration";
    ITEMS
    {
		Page_range_preferences2,

    }
}

MENU Page_range_preferences2
{
    LABEL	"local Calibration" 		"|de|Lokale Kalibrierdaten" ;
    ITEMS
    	{
		c1_ParamM1_1,
		c1_ParamM2_1,
		c1_ParamM3_1,
		c1_ParamM4_1,
		c1_LocalCalib1,
		c1_ParamM1_2,
		c1_ParamM2_2,
		c1_ParamM3_2,
		c1_ParamM4_2,
		c1_LocalCalib2
	}
}


MENU OnlineWindow_clean_calib
{
    LABEL	"Cleaning Request"  	"|de|Reinigen";
    ITEMS
    {
		Page_clean_calib 
    }
}

MENU Page_clean_calib
{
    LABEL	"Service"	"|de|Servicefunktion";
    ITEMS
    	{
	c1_CleanService

	}
}


MENU Tab_s_preferences
{
    LABEL	"SC1000 Overview"  "|de|SC1000 Allgemein";
    ITEMS
    {
		VendorName,
		ModelName,
		ModelNummer,
				

    }
}

MENU Tab_s_preferencesM1
{
    LABEL	"Overview 1st device "  "|de|SC1000 erstes Gert";
    ITEMS
    {
		DeviceID1,
		Seriac1_1,
		Seriac1_2,
		Seriac1_3,
		c1_SampleLocation
			

    }
}

MENU Tab_s_output
{
	LABEL		[menu_output];
	ITEMS
	{
		c1_Measurement1,
		c1_Measurement2,
		c1_Cleaning
				
	}
}

MENU Tab_s_diag
{
	LABEL	"Diagnostics" "|de|Diagnose erstes Gert";
	ITEMS
	{
		Status1,
		Error1,
		c1_Unit1,
		c1_Unit2,
		c1_Diag1,
		c1_Diag2,
		c1_GlobalKal,
		c1_Referenz
	}
}

MENU Tab_s_settings
{
	LABEL	"Settings" "|de|Einstelldaten erstes Gert";
	ITEMS
	{
		c1_SampleLocation,
		c1_MeasInt,
		c1_CleanInt,
		c1_CleanTime,
		c1_WaitTime,
		c1_ParamM1_1,
		c1_ParamM2_1,
		c1_ParamM3_1,
		c1_ParamM4_1,
		c1_LocalCalib1,
		c1_ParamM1_2,
		c1_ParamM2_2,
		c1_ParamM3_2,
		c1_ParamM4_2,
		c1_LocalCalib2
	}
}


/************************************************************************/
/*	  Table: Maintenance												*/
/************************************************************************/

MENU Table_Main_Maintenance
{
	LABEL	DEVICE_TITLE ;

	ITEMS
	{
		Tab_m_preferences,
		Tab_m_diag,
		Tab_m_settings,
		Tab_m_output
	}
}

/************************************************************************/
/*	  Main Menus														*/
/************************************************************************/

/************************************************************************/
/*	  Menu: Bar															*/
/************************************************************************/

MENU Menu_Main_Maintenance
{
    LABEL		[main_menu];
    ITEMS
    {
        Menu_File,
        Menu_M_Device,
        Menu_M_View,
        //Menu_M_Options,
        Menu_Help
    }
}

/************************************************************************/
/*	  Menu: Device														*/
/************************************************************************/

MENU Menu_M_Device
{
    LABEL		[menu_Device];
    ITEMS
    {
        std_LoadinDevice,
        std_LoadinPC
    }
}

/************************************************************************/
/*	  Menu: View														*/
/************************************************************************/

MENU Menu_M_View
{
    LABEL		[menu_View];
    ITEMS
    {
        OnlineWindow_display,
//	OnlineWindow_actual_mode
    }
}

/************************************************************************/
/*	  Online-Windows													*/
/************************************************************************/

MENU Tab_m_preferences
{
    LABEL	"Overview" "|de|Allgemein";
    ITEMS
    {
		VendorName,
		ModelName,
		ModelNummer,
		c1_SampleLocation
		

    }
}

MENU Tab_m_output
{
	LABEL		[menu_output];
	ITEMS
	{
		c1_Measurement1,
		c1_Measurement2,
		c1_Cleaning
	
	}
}

MENU Tab_m_diag
{
	LABEL	"Diagnostics" "|de|Diagnose erstes Gert";
	ITEMS
	{
		Status1,
		Error1,
		c1_Unit1,
		c1_Unit2,
		c1_Diag1,
		c1_Diag2,
		c1_GlobalKal,
		c1_Referenz
	}
}

MENU Tab_m_settings
{
	LABEL	"Settings" "|de|Einstelldaten erstes Gert";
	ITEMS
	{
		c1_SampleLocation	(READ_ONLY),
		c1_MeasInt		(READ_ONLY),
		c1_CleanInt		(READ_ONLY),
		c1_CleanTime		(READ_ONLY),
		c1_WaitTime    		(READ_ONLY),
		c1_ParamM1_1		(READ_ONLY),
		c1_ParamM2_1		(READ_ONLY),
		c1_ParamM3_1		(READ_ONLY),
		c1_ParamM4_1		(READ_ONLY),
		c1_LocalCalib1		(READ_ONLY),
		c1_ParamM1_2		(READ_ONLY),
		c1_ParamM2_2		(READ_ONLY),
		c1_ParamM3_2		(READ_ONLY),
		c1_ParamM4_2		(READ_ONLY),
		c1_LocalCalib2		(READ_ONLY)		
	}
}

MENU OnlineWindow_actual_mode
{
	LABEL	"Current mode" "|de|Aktuell";
	ITEMS
	{
		c1_Measurement1,
		c1_Measurement2
	

	}
}

MENU OnlineWindow_display
{
	LABEL		[menu_dialog_display];
	ITEMS
	{
		Page_display_func1
	}
}

MENU Page_display_func1
{
	LABEL   "Measured Value" "|de|Messwertanzeigen" ;
	ITEMS
	{
		BarVal_out_display_func1,
		BarVal_out_display_func2,
		BarVal_out_display_func3,
		BarVal_out_display_func4
	}
}


MENU BarVal_out_display_func1
{
	LABEL		"value TSSeq" "|de|Messwert TSSeq" ;
	HELP		[func_ai_out_value_help];
	ITEMS
	{
		c1_Measurement1

	}
}

MENU BarVal_out_display_func2
{
	LABEL		"value CODeq" "|de|Messwert CODeq" ;
	HELP		[func_ai_out_value_help];
	ITEMS
	{
		c1_Measurement2

	}
}

MENU BarVal_out_display_func3
{
	LABEL		"Cleaning " "|de|Anzeige Reinigen" ;
	HELP		[func_ai_out_value_help];
	ITEMS
	{
		c1_Cleaning
	}
}

MENU BarVal_out_display_func4
{
	LABEL		"Remaining time " "|de|Restzeit Messung luft" ;
	HELP		[func_ai_out_value_help];
	ITEMS
	{
		c1_BusyTime

	}
}