/*-----------------------------------------------------------------*/
/*	Copyright (C)	Hach-Lange (2005). All Rights Reserved.	   */
/*	Product:		SIMATIC PDM  			   */
/*	Device:			SC1000 V1       		   */
/*	Description:		Device Description	           */
/*	Dictionary:		SIPADC01.dct			   */
/*  	$Revision:		0.1  $				   */
/*  	$Date:			6.Dec 2005			   */
/*	File:			c1_Carbolyser.inc		   */
/*	Author:			T.Thiel Hach-Lange	           */
/*-----------------------------------------------------------------*/


/************************************************************************/
/*		Variables						*/
/************************************************************************/



VARIABLE c1_Measurement1
{
	LABEL 	"TSSeq Value" 	"|de|Messwert TSSeq";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";

}

VARIABLE c1_Measurement2
{
	LABEL 	"CODeq Value" 	"|de|Messwert CODeq";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";

}


VARIABLE c1_Diag1
{
	LABEL 	"Gap size" 		"|de|Spaltbreite";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".4f";
	CONSTANT_UNIT 	"m";
}

VARIABLE c1_Diag2
{
	LABEL 	"Version Probe" 	"|de|Softwarevers. Sonde";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"";
}

VARIABLE c1_MeasInt
{
	LABEL 	"Measuring Interval" 		"|de|Messinterval";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
	
						
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	CONSTANT_UNIT 	"min";
}

VARIABLE c1_CleanInt
{
	LABEL 	"Cleaning Interval" 		"|de|Splinterval";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
	
						
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	CONSTANT_UNIT 	"counts";
}

VARIABLE c1_CleanTime
{
	LABEL 	"Cleaning Time" 		"|de|Spldauer";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
	
						
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	CONSTANT_UNIT 	"sek";
}

VARIABLE c1_WaitTime
{
	LABEL 	"Waiting Time" 		"|de|Wartezeit";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
	
						
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	CONSTANT_UNIT 	"sek";
}

VARIABLE c1_BusyTime
{
	LABEL 	"Remaining Time" 		"|de|Restzeit Messung";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
	
						
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	CONSTANT_UNIT 	"sek";
}

VARIABLE c1_CleanService
{
	LABEL 	"Clean service"			"|de|Splen manuell";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{

			{0,		"Aus (Automatikbetrieb" },
			{1,		"Ein (permanent !!)"  	}
			
						
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE c1_Cleaning
{
	LABEL 	"Cleaning"			"|de|Rckmeldung Splen";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{

			{0,		"Aus" },
			{1,		"Ein" }
			
						
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE c1_Unit1
{
	LABEL 	"Unit TSSeq"			"|de|Einheit TSSeq";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
	
			{0,			"mg/l"   	},
			{1,			"g/l"     }
			
						
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

UNIT Select_unit_1		// dynymic unit relation
{
	c1_Unit1:
	c1_Measurement1,
	c1_ManTemp

}

VARIABLE c1_Unit2
{
	LABEL 	"Unit CODeq"			"|de|Einheit CODeq";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
	
			{0,			"mg/l"   	},
			{1,			"g/l"     }
			
						
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

UNIT Select_Unit_2		// dynymic unit relation
{
	c1_Unit2:
	c1_Measurement2


}

VARIABLE c1_SampleLocation
{
	LABEL 	"Probe Location" "|de|Einbauort";
	CLASS	CONTAINED;
	TYPE	ASCII (12)
		{
			DEFAULT_VALUE "";
		}
	HANDLING	READ;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE c1_GlobalKal
{
	LABEL 	"Global Calib" "|de|Globale Kalib.";
	CLASS	CONTAINED;
	TYPE	ASCII (12)
		{
			DEFAULT_VALUE "";
		}
	HANDLING	READ;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE c1_Referenz
{
	LABEL 	"Probe Location" "|de|Referenz";
	CLASS	CONTAINED;
	TYPE	ASCII (8)
		{
			DEFAULT_VALUE "";
		}
	HANDLING	READ;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE c1_ParamM1_1
{
	LABEL 	"TSSeq Cal.Value 1" 	"|de|TSSeq Kalib.Messwert 1";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"mg/l";
}

VARIABLE c1_ParamM2_1
{
	LABEL 	"TSSeq Cal.Value 2" 	"|de|TSSeq Kalib.Messwert 2";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"mg/l";
}

VARIABLE c1_ParamM3_1
{
	LABEL 	"TSSeq Lab.Value 1" 	"|de|TSSeq Kalib.Laborwert 1";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"mg/l";
}

VARIABLE c1_ParamM4_1
{
	LABEL 	"TSSeq Lab.Value 2" 	"|de|TSSeq Kalib.Laborwert 2";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"mg/l";
}

VARIABLE c1_ParamM1_2
{
	LABEL 	"CODeq Cal.Value 1" 	"|de|CODeq Kalib.Messwert 1";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"mg/l";
}

VARIABLE c1_ParamM2_2
{
	LABEL 	"CODeq Cal.Value 2" 	"|de|CODeq Kalib.Messwert 2";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"mg/l";
}

VARIABLE c1_ParamM3_2
{
	LABEL 	"CODeq Lab.Value 1" 	"|de|CODeq Kalib.Laborwert 1";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"mg/l";
}

VARIABLE c1_ParamM4_2
{
	LABEL 	"CODeq Lab.Value 2" 	"|de|CODeq Kalib.Laborwert 2";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"mg/l";
}

VARIABLE c1_LocalCalib1
{
	LABEL 	"Local Calibration TSSeq"	"|de|Lokale Kalibrierung TSSeq";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
			{0,		"Aus" },
			{1,		"Ein" }
			
						
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE c1_LocalCalib2
{
	LABEL 	"Local Calibration CODeq"	"|de|Lokale Kalibrierung CODeq";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
			
			{0,		"Aus" },
			{1,		"Ein" }
			
						
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

/************************************************************************/
/*		COMMANDS														*/
/************************************************************************/

COMMAND read_c1_ParamM1_1
{
	SLOT 21;
	INDEX 81;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            c1_ParamM1_1
        }
    }
}

COMMAND write_c1_ParamM1_1
{
	SLOT 21;
	INDEX 81;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              c1_ParamM1_1
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_c1_ParamM2_1
{
	SLOT 21;
	INDEX 83;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            c1_ParamM2_1
        }
    }
}

COMMAND write_c1_ParamM2_1
{
	SLOT 21;
	INDEX 83;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              c1_ParamM2_1
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_c1_ParamM3_1
{
	SLOT 21;
	INDEX 85;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            c1_ParamM3_1
        }
    }
}

COMMAND write_c1_ParamM3_1
{
	SLOT 21;
	INDEX 85;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              c1_ParamM3_1
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_c1_ParamM4_1
{
	SLOT 21;
	INDEX 87;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            c1_ParamM4_1
        }
    }
}

COMMAND write_c1_ParamM4_1
{
	SLOT 21;
	INDEX 87;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              c1_ParamM4_1
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_c1_ParamM1_2
{
	SLOT 21;
	INDEX 89;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            c1_ParamM1_2
        }
    }
}

COMMAND write_c1_ParamM1_2
{
	SLOT 21;
	INDEX 89;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              c1_ParamM1_2
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_c1_ParamM2_2
{
	SLOT 21;
	INDEX 91;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            c1_ParamM2_2
        }
    }
}

COMMAND write_c1_ParamM2_2
{
	SLOT 21;
	INDEX 91;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              c1_ParamM2_2
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_c1_ParamM3_2
{
	SLOT 21;
	INDEX 93;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            c1_ParamM3_2
        }
    }
}

COMMAND write_c1_ParamM3_2
{
	SLOT 21;
	INDEX 93;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              c1_ParamM3_2
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_c1_ParamM4_2
{
	SLOT 21;
	INDEX 95;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            c1_ParamM4_2
        }
    }
}

COMMAND write_c1_ParamM4_2
{
	SLOT 21;
	INDEX 95;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              c1_ParamM4_2
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_c1_LocalCalib1
{
	SLOT 21;
	INDEX 13;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            c1_LocalCalib2,
            c1_LocalCalib1
        }
    }
}

COMMAND write_c1_LocalCalib1
{
	SLOT 21;
	INDEX 13;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              c1_LocalCalib1
        }
        REPLY
        {
            
        }
    }
}


COMMAND write_c1_LocalCalib2
{
	SLOT 21;
	INDEX 14;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              c1_LocalCalib2
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_c1_BusyTime
{
	SLOT 21;
	INDEX 15;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            c1_BusyTime
        }
    }
}

COMMAND read_c1_Measurement1
{
	SLOT 21;
	INDEX 0;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            c1_Measurement1
        }
    }
}

COMMAND read_c1_Measurement2
{
	SLOT 21;
	INDEX 2;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            c1_Measurement2
        }
    }
}

COMMAND read_c1_Diag1
{
	SLOT 21;
	INDEX 56;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            c1_Diag1
        }
    }
}

COMMAND read_c1_Diag2
{
	SLOT 21;
	INDEX 62;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            c1_Diag2
        }
    }
}


COMMAND read_c1_MeasInt
{
	SLOT 21;
	INDEX 24;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            c1_MeasInt,
            c1_CleanInt,
            0,
            0,
            c1_CleanTime,
            c1_WaitTime
        }
    }
}

COMMAND write_c1_MeasInt
{
	SLOT 21;
	INDEX 24;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              c1_MeasInt
        }
        REPLY
        {
            
        }
    }
}

COMMAND write_c1_CleanInt
{
	SLOT 21;
	INDEX 25;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              c1_CleanInt
        }
        REPLY
        {
            
        }
    }
}

COMMAND write_c1_CleanTime
{
	SLOT 21;
	INDEX 27;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              c1_CleanTime
        }
        REPLY
        {
            
        }
    }
}


COMMAND write_c1_WaitTime
{
	SLOT 21;
	INDEX 28;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              c1_WaitTime
        }
        REPLY
        {
            
        }
    }
}


COMMAND read_c1_Cleaning
{
	SLOT 21;
	INDEX 4;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            c1_Cleaning
        }
    }
}

COMMAND read_c1_CleanService
{
	SLOT 21;
	INDEX 97;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            c1_CleanService
        }
    }
}

COMMAND write_c1_CleanService
{
	SLOT 21;
	INDEX 97;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              c1_CleanService
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_c1_Units
{
	SLOT 21;
	INDEX 104;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            c1_Unit2,
            c1_Unit1
        }
    }
}

COMMAND write_c1_Unit1
{
	SLOT 21;
	INDEX 104;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              c1_Unit1
        }
        REPLY
        {
            
        }
    }
}

COMMAND write_c1_Unit2
{
	SLOT 21;
	INDEX 105;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              c1_Unit2
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_c1_SampleLocation
{
	SLOT 21;
	INDEX 16;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            c1_SampleLocation
        }
    }
}

COMMAND write_c1_SampleLocation
{
	SLOT 21;
	INDEX 16;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              c1_SampleLocation
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_c1_GlobalKal
{
	SLOT 21;
	INDEX 38;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            c1_GlobalKal
        }
    }
}

COMMAND read_c1_Referenz
{
	SLOT 21;
	INDEX 44;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            c1_Referenz
        }
    }
}