/*-----------------------------------------------------------------*/
/*	Copyright (C)	Hach-Lange (2005). All Rights Reserved.	   */
/*	Product:		SIMATIC PDM  			   */
/*	Device:			SC1000 V1       		   */
/*	Description:		Device Description	           */
/*	Dictionary:		SIPADC01.dct			   */
/*  	$Revision:		0.1  $				   */
/*  	$Date:			23.Nov 2005			   */
/*	File:			c2_Carbolyser.inc		   */
/*	Author:			T.Thiel Hach-Lange	           */
/*-----------------------------------------------------------------*/


/************************************************************************/
/*		Variables						*/
/************************************************************************/



VARIABLE c2_Measurement1
{
	LABEL 	"TSSeq Value" 	"|de|Messwert TSSeq";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";

}

VARIABLE c2_Measurement2
{
	LABEL 	"CODeq Value" 	"|de|Messwert CODeq";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";

}


VARIABLE c2_Diag1
{
	LABEL 	"Gap size" 		"|de|Spaltbreite";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".4f";
	CONSTANT_UNIT 	"m";
}

VARIABLE c2_Diag2
{
	LABEL 	"Version Probe" 	"|de|Softwarevers. Sonde";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"";
}

VARIABLE c2_MeasInt
{
	LABEL 	"Measuring Interval" 		"|de|Messinterval";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
	
						
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	CONSTANT_UNIT 	"min";
}

VARIABLE c2_CleanInt
{
	LABEL 	"Cleaning Interval" 		"|de|Splinterval";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
	
						
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	CONSTANT_UNIT 	"counts";
}

VARIABLE c2_CleanTime
{
	LABEL 	"Cleaning Time" 		"|de|Spldauer";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
	
						
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	CONSTANT_UNIT 	"sek";
}

VARIABLE c2_WaitTime
{
	LABEL 	"Waiting Time" 		"|de|Wartezeit";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
	
						
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	CONSTANT_UNIT 	"sek";
}

VARIABLE c2_CleanService
{
	LABEL 	"Clean service"			"|de|Splen manuell";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
			DEFAULT_VALUE 25;
			
			{0,		"Aus (Automatikbetrieb" },
			{1,		"Ein (permanent !!)"  	}
			
						
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE c2_Cleaning
{
	LABEL 	"Cleaning"			"|de|Rckmeldung Splen";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
			DEFAULT_VALUE 25;
			
			{0,		"Aus" },
			{1,		"Ein" }
			
						
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE c2_Unit1
{
	LABEL 	"Unit TSSeq"			"|de|Einheit TSSeq";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
			DEFAULT_VALUE 25;
			
			{0,			"mg/l"   	},
			{1,			"g/l"     }
			
						
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

UNIT Select_unit_1		// dynymic unit relation
{
	c2_Unit1:
	c2_Measurement1,
	c2_ManTemp

}

VARIABLE c2_Unit2
{
	LABEL 	"Unit CODeq"			"|de|Einheit CODeq";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
			DEFAULT_VALUE 25;
			
			{0,			"mg/l"   	},
			{1,			"g/l"     }
			
						
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

UNIT Select_Unit_2		// dynymic unit relation
{
	c2_Unit2:
	c2_Measurement2


}

VARIABLE c2_SampleLocation
{
	LABEL 	"Probe Location" "|de|Einbauort";
	CLASS	CONTAINED;
	TYPE	ASCII (12)
		{
			DEFAULT_VALUE "";
		}
	HANDLING	READ;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE c2_GlobalKal
{
	LABEL 	"Global Calib" "|de|Globale Kalib.";
	CLASS	CONTAINED;
	TYPE	ASCII (12)
		{
			DEFAULT_VALUE "";
		}
	HANDLING	READ;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE c2_Referenz
{
	LABEL 	"Probe Location" "|de|Referenz";
	CLASS	CONTAINED;
	TYPE	ASCII (8)
		{
			DEFAULT_VALUE "";
		}
	HANDLING	READ;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}


/************************************************************************/
/*		COMMANDS						*/
/************************************************************************/


COMMAND read_c2_Measurement1
{
	SLOT 22;
	INDEX 0;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            c2_Measurement1
        }
    }
}

COMMAND read_c2_Measurement2
{
	SLOT 22;
	INDEX 2;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            c2_Measurement2
        }
    }
}

COMMAND read_c2_Diag1
{
	SLOT 22;
	INDEX 56;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            c2_Diag1
        }
    }
}

COMMAND read_c2_Diag2
{
	SLOT 22;
	INDEX 62;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            c2_Diag2
        }
    }
}


COMMAND read_c2_MeasInt
{
	SLOT 22;
	INDEX 24;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            c2_MeasInt,
            c2_CleanInt,
            0,
            0,
            c2_CleanTime,
            c2_WaitTime
        }
    }
}

COMMAND write_c2_MeasInt
{
	SLOT 22;
	INDEX 24;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              c2_MeasInt
        }
        REPLY
        {
            
        }
    }
}

COMMAND write_c2_CleanInt
{
	SLOT 22;
	INDEX 25;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              c2_CleanInt
        }
        REPLY
        {
            
        }
    }
}

COMMAND write_c2_CleanTime
{
	SLOT 22;
	INDEX 27;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              c2_CleanTime
        }
        REPLY
        {
            
        }
    }
}


COMMAND write_c2_WaitTime
{
	SLOT 22;
	INDEX 28;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              c2_WaitTime
        }
        REPLY
        {
            
        }
    }
}


COMMAND read_c2_Cleaning
{
	SLOT 22;
	INDEX 4;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            c2_Cleaning
        }
    }
}

COMMAND read_c2_CleanService
{
	SLOT 22;
	INDEX 97;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            c2_CleanService
        }
    }
}

COMMAND write_c2_CleanService
{
	SLOT 22;
	INDEX 97;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              c2_CleanService
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_c2_Units
{
	SLOT 22;
	INDEX 104;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            c2_Unit2,
            c2_Unit1
        }
    }
}

COMMAND write_c2_Unit1
{
	SLOT 22;
	INDEX 104;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              c2_Unit1
        }
        REPLY
        {
            
        }
    }
}

COMMAND write_c2_Unit2
{
	SLOT 22;
	INDEX 105;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              c2_Unit2
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_c2_SampleLocation
{
	SLOT 22;
	INDEX 16;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            c2_SampleLocation
        }
    }
}

COMMAND write_c2_SampleLocation
{
	SLOT 22;
	INDEX 16;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              c2_SampleLocation
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_c2_GlobalKal
{
	SLOT 22;
	INDEX 38;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            c2_GlobalKal
        }
    }
}

COMMAND read_c2_Referenz
{
	SLOT 22;
	INDEX 44;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            c2_Referenz
        }
    }
}

