/*-----------------------------------------------------------------*/
/*	Copyright (C)	Hach-Lange (2005). All Rights Reserved.	   */
/*	Product:		SIMATIC PDM  			   */
/*	Device:			SC1000 V1       		   */
/*	Description:		Device Description	           */
/*	Dictionary:		SIPADC01.dct			   */
/*  	$Revision:		0.1  $				   */
/*  	$Date:			9.Oct 2006			   */
/*	File:			N2_Nitratax.inc			   */
/*	Author:			T.Thiel Hach-Lange	           */
/*-----------------------------------------------------------------*/


/************************************************************************/
/*		Variablen						*/
/************************************************************************/



VARIABLE N2_Measurement1
{
	LABEL 	"Measurement Value" 	"|de|Messwert ";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";

}

UNIT Select_unit			// dynymic unit relation
{
	N2_Unit:
	N2_Measurement1

}


VARIABLE N2_Measurement2
{
	LABEL 	"Measurement Value" 	"|de|Messwert ";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";

}

VARIABLE N2_Measurement3
{
	LABEL 	"Measurement Value" 	"|de|Messwert ";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";

}

VARIABLE N2_Measurement4
{
	LABEL 	"Measurement Value" 	"|de|Messwert ";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"g/l";
}

VARIABLE N2_Measurement5
{
	LABEL 	"Measurement Value" 	"|de|Messwert %";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"%";
}

VARIABLE N2_Unit
{
	LABEL 	"Unit" 			"|de|Einheit";
	CLASS	CONTAINED;
	TYPE	ENUMERATED (2)
		{
			{0,			"mg/l"	},
			{1,			"g/l"   },
			{2,			"ppm"   }

			
						
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}


VARIABLE N2_UnitTS
{
	LABEL 	"Unit suspendet solids"			"|de|Einheit Feststoff";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
			DEFAULT_VALUE 0;
			{0,			"mg/l"	},
			{1,			"ppm"   }				
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE N2_Parameter
{
	LABEL 	"Parameter" 	"|de|Parameter";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			{0,			"NOx-N" 		"|de|NOx-N" 	},
			{1,			"NOx-N" 		"|de|NOx-N"	},
			{3,			"NOx-N" 		"|de|NOx-N"	}
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE N2_Correction
{
	LABEL 	"Correction factor"	"|de|Korrekturfaktor ";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			DEFAULT_VALUE  1.0;
			
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE N2_CorrectionTS
{
	LABEL 	"Correction TS"	"|de|Korrekturfaktor TS";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			DEFAULT_VALUE  1.0;
			
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE N2_Offset
{
	LABEL 	"Offset "	"|de|Offset ";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			DEFAULT_VALUE  0.0;
			
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE N2_Integration
{
	LABEL 	"Integration"	"|de|Integration in Sekunden";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
        {
	
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE N2_CleaningInterval
{
	LABEL 	"Measuring interval" "|de|Messinterval";
	CLASS	CONTAINED;
	TYPE	ENUMERATED (2)
	{
		{0,	""					},
		{300,	"5 min."				},
		{360,	"6 min"					},
		{600,	"10 min"				},
		{720,	"12 min"				},
		{900,	"15 min"				},
		{1200,	"20 min"				},
		{1800,	"30 min"				}

        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE N2_Wiperstatus
{
	LABEL 	"Wiper status" 		"|de|Wischerstatus";
	CLASS	CONTAINED;
	TYPE	ENUMERATED (2)
	{
		{0,	"position unknown"	"|de|Position unbekannt"},
		{1,	"Move request"		"|de|Manuelle Anforderung"},
		{2,	"position B"		"|de|Position B"},
		{4,	"position A"		"|de|Position A"},
		{8,	"Timeout"		"|de|Timeout"},
		{16,	"Fixed"			"|de|Fixed"},
		{32,	"Blocked"		"|de|Blockiert"}
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
	
}

VARIABLE N2_Wipermode
{
	LABEL 	"Wiper mode" 		"|de|Wischermodus";
	CLASS	CONTAINED;
	TYPE	ENUMERATED (2)
	{
		
		{0,	"Double A_B_A"	"|de|Double A_B_A"},
		{1,	"Double B_A_B"	"|de|Double B_A_B"},
		{2,	"Single"	"|de|Single"},
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
	
}

VARIABLE N2_Wiperprofile
{
	LABEL 	"Wiper replace counter" "|de|Wischblatt Zykluszhler";
	CLASS	CONTAINED;
	TYPE	UNSIGNED_INTEGER (2)
        {
	
        }
	HANDLING	READ;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE N2_Flashcycles
{
	LABEL 	"Flash counter" "|de|Blitzzhler";
	CLASS	CONTAINED;
	TYPE	INTEGER (4)
	        {
		
	        }
	HANDLING	READ;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;

}

VARIABLE N2_Service
{
	LABEL 	"Service counter" "|de|Service";
	CLASS	CONTAINED;
	TYPE	INTEGER (4)
	        {
		
	        }
	HANDLING	READ;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
	CONSTANT_UNIT 	"day";

}

VARIABLE N2_Operating
{
	LABEL 	"Operating hours" "|de|Betriebsstunden";
	CLASS	CONTAINED;
	TYPE	INTEGER (4)
	        {
		
	        }
	HANDLING	READ;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
	CONSTANT_UNIT 	"hour";

}


VARIABLE N2_Motorcycles
{
	LABEL 	"Motor counter" "|de|Motor Zykluszhler";
	CLASS	CONTAINED;
	TYPE	INTEGER (4)
	        {
		
	        }
	HANDLING	READ;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;

}

VARIABLE N2_SampleLocation
{
	LABEL 	"Location" "|de|Einbauort";
	CLASS	CONTAINED;
	TYPE	ASCII (10)
		{
			DEFAULT_VALUE "";
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}


/************************************************************************/
/*		COMMANDS														*/
/************************************************************************/


COMMAND read_N2_Measurement1
{
	SLOT 22;
	INDEX 0;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            N2_Measurement1
        }
    }
}

COMMAND read_N2_Measurement2
{
	SLOT 22;
	INDEX 2;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            N2_Measurement2
        }
    }
}

COMMAND read_N2_Measurement3
{
	SLOT 22;
	INDEX 4;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            N2_Measurement3
        }
    }
}

COMMAND read_N2_Measurement4
{
	SLOT 22;
	INDEX 6;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            N2_Measurement4
        }
    }
}

COMMAND read_N2_Measurement5
{
	SLOT 22;
	INDEX 8;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            N2_Measurement5
        }
    }
}

COMMAND read_N2_Unit
{
	SLOT 22;
	INDEX 2;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            N2_Unit
        }
    }
}

COMMAND write_N2_Unit
{
	SLOT 22;
	INDEX 2;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              N2_Unit
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_N2_UnitTS
{
	SLOT 22;
	INDEX 13;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            N2_UnitTS
        }
    }
}

COMMAND write_N2_UnitTS
{
	SLOT 22;
	INDEX 13;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              N2_UnitTS
        }
        REPLY
        {
            
        }
    }
}


COMMAND read_N2_Offset
{
	SLOT 22;
	INDEX 7;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            N2_Offset
        }
    }
}

COMMAND write_N2_Offset
{
	SLOT 22;
	INDEX 7;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              N2_Offset
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_N2_Correction
{
	SLOT 22;
	INDEX 5;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            N2_Correction
        }
    }
}

COMMAND write_N2_Correction
{
	SLOT 22;
	INDEX 5;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              N2_Correction
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_N2_CorrectionTS
{
	SLOT 22;
	INDEX 18;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            N2_CorrectionTS
        }
    }
}

COMMAND write_N2_CorrectionTS
{
	SLOT 22;
	INDEX 18;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              N2_CorrectionTS
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_N2_Integration
{
	SLOT 22;
	INDEX 9;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            N2_Integration
        }
    }
}

COMMAND write_N2_Integration
{
	SLOT 22;
	INDEX 9;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              N2_Integration
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_N2_CleaningInterval
{
	SLOT 22;
	INDEX 4;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            N2_CleaningInterval
        }
    }
}

COMMAND write_N2_CleaningInterval
{
	SLOT 22;
	INDEX 4;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              N2_CleaningInterval
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_N2_Wiperstatus
{
	SLOT 22;
	INDEX 12;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            N2_Wiperstatus
        }
    }
}

COMMAND write_N2_Wiperstatus
{
	SLOT 22;
	INDEX 12;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              N2_Wiperstatus
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_N2_Wipermode
{
	SLOT 22;
	INDEX 11;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            N2_Wipermode
        }
    }
}

COMMAND write_N2_Wipermode
{
	SLOT 22;
	INDEX 11;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              N2_Wipermode
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_N2_Wiperprofile
{
	SLOT 22;
	INDEX 24;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            N2_Wiperprofile
        }
    }
}

COMMAND write_N2_Wiperprofile
{
	SLOT 22;
	INDEX 24;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              N2_Wiperprofile
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_N2_Flashcycles
{
	SLOT 22;
	INDEX 28;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            N2_Flashcycles
        }
    }
}

COMMAND read_N2_Service
{
	SLOT 22;
	INDEX 32;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            N2_Service
        }
    }
}

COMMAND read_N2_Operating
{
	SLOT 22;
	INDEX 34;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            N2_Operating
        }
    }
}

COMMAND read_N2_Parameter
{
	SLOT 22;
	INDEX 3;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            N2_Parameter
        }
    }
}

COMMAND write_N2_Parameter
{
	SLOT 22;
	INDEX 3;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
        N2_Parameter
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_N2_SampleLocation
{
	SLOT 22;
	INDEX 17;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            N2_SampleLocation
        }
    }
}

COMMAND write_N2_SampleLocation
{
	SLOT 22;
	INDEX 17;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              N2_SampleLocation
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_N2_Motorcycles
{
	SLOT 22;
	INDEX 26;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            N2_Motorcycles
        }
    }
}

COMMAND write_N2_Motorcycles
{
	SLOT 22;
	INDEX 26;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
        N2_Motorcycles
        }
        REPLY
        {
            
        }
    }
}