/*-----------------------------------------------------------------*/
/*	Copyright (C)	Hach-Lange (2005). All Rights Reserved.	   */
/*	Product:		SIMATIC PDM  			   */
/*	Device:			SC1000 V1       		   */
/*	Description:		Device Description	           */
/*	Dictionary:		SIPADC01.dct			   */
/*  	$Revision:		0.1  $				   */
/*  	$Date:			October 2006			   */
/*	File:			SC1000LDO_Nitratax.ddl	   	   */
/*	Author:			T.Thiel Hach-Lange	           */
/*-----------------------------------------------------------------*/

MANUFACTURER		 	213,
DEVICE_TYPE			1,
DEVICE_REVISION  		1,
DD_REVISION			1


#define DEVICE_TITLE			"SC1000 LDO Nitratax"

#include	"L1_LDO.inc"		//LDO erstes Geraet
#include	"N2_Nitratax.inc"	//Nitratax zweites Geraet

/************************************************************************/
/*		Variablen						*/
/************************************************************************/

VARIABLE VendorName
{
	LABEL 	"Vendor Name""|de|Geraetehersteller";
	CLASS	CONTAINED;
	TYPE	ASCII (16)
		{
			DEFAULT_VALUE "Hach-Lange";
		}
	HANDLING	READ;
}

VARIABLE ModelName
{
	LABEL 	"Fieldbus type" "|de|Profibustyp";
	CLASS	CONTAINED;
	TYPE	ASCII (32)
		{
			DEFAULT_VALUE "SC device";
		}
	HANDLING	READ;
}

VARIABLE ModelNummer
{
	LABEL 	"Model Number""|de|Profibusversion";
	CLASS	CONTAINED;
	TYPE	ASCII (32)
		{
			DEFAULT_VALUE "";
		}
	HANDLING	READ;
}

VARIABLE Serial1_1
{
	LABEL 	"Serial No 1" 	"|de|Seriennummer 1";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	"x";
}

VARIABLE Serial1_2
{
	LABEL 	"Serial No 2" 	"|de|Seriennummer 2";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	"x";
}

VARIABLE Serial1_3
{
	LABEL 	"Serial No 3" 	"|de|Seriennummer 3";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	"x";
}

VARIABLE DeviceID1
{
	LABEL 	"Device ID" 	"|de|Geraetekennung";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
		
			{12,			"LDO"			},
			{101,			"ULTRATURB SC"		},
			{102,			"Nitratax eco"  	},
			{103,			"Nitratax plus"		},
			{104,			"Nitratax SC"    	},
			{105,			"Nitratax clear"	},
			{106,			"UVAS plus"     	},
			{107,			"S::CAN CARBO::LYZER"	},
			{108,			"S::CAN NITRO::LYZER"   },
			{109,			"Phosphax SC"     	},
			{110,			"Amtax SC"     	 	},
			{114,			"Phosphax SC"      	},
					
								
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE ManufactID1
{
	LABEL 	"Manufacturer ID" 	"|de|Herstellerkennung";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE Length1
{
	LABEL 	"Length Member table" 	"|de|Lnge Teilnehmertabelle";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE Status1
{
	LABEL 	"Status ";
	CLASS	DYNAMIC;
	TYPE	BIT_ENUMERATED (2)
	{
		
		{0,   	"OK"						"|de|OK"	 		 },
		{1,   	"Calibration start / in progress"		"|de|Kalibrierung aktiv"	 },
		{2,   	"Cleaning start / in progress"			"|de|Reinigungszyklus aktiv"	 },
		{4,   	"Enter(d) Service/Maintenance menu"		"|de|Betriebsart Service"	 },
		{8,   	"Common Error"					"|de|Sammelstrung"		 },
		{16,   	"Measurement 0 Quality Bad"			"|de|Messung 0 Qualittsfehler"	 },
		{32,   	"Measurement 0 low limit"			"|de|Messung 0 unterer Grenzwert"},
		{64,    "Measurement 0 high limit"			"|de|Messung 0 oberer Grenzwert" },
		{128,   "Measurement 1 Quality Bad"			"|de|Messung 1 Qualittsfehler"	 },
		{256,   "Measurement 1 low limit"			"|de|Messung 1 unterer Grenzwert"},
		{512,   "Measurement 1 high limit"			"|de|Messung 1 oberer Grenzwert" },
		{1024,  "Measurement 2 Quality Bad"			"|de|Messung 2 Qualittsfehler"	 },
		{2048,  "Measurement 2 low limit"			"|de|Messung 2 unterer Grenzwert"},	
		{4096,  "Measurement 2 high limit"			"|de|Messung 2 oberer Grenzwert" },
		{8192,  "Measurement 3 Quality Bad"			"|de|Messung 3 Qualittsfehler"	 },
		{16384, "Measurement 3 low limit"			"|de|Messung 3 unterer Grenzwert"},
		{32768, "Measurement 3 high limit"			"|de|Messung 3 oberer Grenzwert" }
					
	}	
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE Serial2_1
{
	LABEL 	"Serial No 1" 	"|de|Seriennummer 1";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	"x";
}

VARIABLE Serial2_2
{
	LABEL 	"Serial No 2" 	"|de|Seriennummer 2";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	"x";
}

VARIABLE Serial2_3
{
	LABEL 	"Serial No 3" 	"|de|Seriennummer 3";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	"x";
}

VARIABLE DeviceID2
{
	LABEL 	"Device ID" 	"|de|Geraetekennung";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
		
			{12,			"LDO"			},
			{101,			"ULTRATURB SC"		},
			{102,			"Nitratax eco"  	},
			{103,			"Nitratax plus"		},
			{104,			"Nitratax SC"    	},
			{105,			"Nitratax clear"	},
			{106,			"UVAS plus"     	},
			{107,			"S::CAN CARBO::LYZER"	},
			{108,			"S::CAN NITRO::LYZER"   },
			{109,			"Phosphax SC"     	},
			{110,			"Amtax SC"     	 	},
			{114,			"Phosphax SC"      	},
					
								
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE ManufactID2
{
	LABEL 	"Manufacturer ID" 	"|de|Herstellerkennung";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE Length2
{
	LABEL 	"Length Member table" 	"|de|Lnge Teilnehmertabelle";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE Status2
{
	LABEL 	"Status ";
	CLASS	DYNAMIC;
	TYPE	BIT_ENUMERATED (2)
	{
		
		{0,   	"OK"						"|de|OK"	 		 },
		{1,   	"Calibration start / in progress"		"|de|Kalibrierung aktiv"	 },
		{2,   	"Cleaning start / in progress"			"|de|Reinigungszyklus aktiv"	 },
		{4,   	"Enter(d) Service/Maintenance menu"		"|de|Betriebsart Service"	 },
		{8,   	"Common Error"					"|de|Sammelstrung"		 },
		{16,   	"Measurement 0 Quality Bad"			"|de|Messung 0 Qualittsfehler"	 },
		{32,   	"Measurement 0 low limit"			"|de|Messung 0 unterer Grenzwert"},
		{64,    "Measurement 0 high limit"			"|de|Messung 0 oberer Grenzwert" },
		{128,   "Measurement 1 Quality Bad"			"|de|Messung 1 Qualittsfehler"	 },
		{256,   "Measurement 1 low limit"			"|de|Messung 1 unterer Grenzwert"},
		{512,   "Measurement 1 high limit"			"|de|Messung 1 oberer Grenzwert" },
		{1024,  "Measurement 2 Quality Bad"			"|de|Messung 2 Qualittsfehler"	 },
		{2048,  "Measurement 2 low limit"			"|de|Messung 2 unterer Grenzwert"},	
		{4096,  "Measurement 2 high limit"			"|de|Messung 2 oberer Grenzwert" },
		{8192,  "Measurement 3 Quality Bad"			"|de|Messung 3 Qualittsfehler"	 },
		{16384, "Measurement 3 low limit"			"|de|Messung 3 unterer Grenzwert"},
		{32768, "Measurement 3 high limit"			"|de|Messung 3 oberer Grenzwert" }
					
	}	
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE Error2
{
	LABEL	"Error Classes Member "		"|de|Fehlermeldung";
	CLASS	CONTAINED;
	TYPE	BIT_ENUMERATED (2)
	{
			{0,   	"No Error"				"|de|Kein Fehler"			},
			{1,   	"Measurement calibration Error"		"|de|Kalibrierfehler"			},
			{2,   	"Electronic adjustment Error"		"|de|Elektronik / Einstellfehler"	},
			{4,   	"Cleaning Error"			"|de|Reinigungsfehler"			},
			{8,   	"Measuring module Error"		"|de|Messmodulfehler"			},
			{16,   	"Settings Error"			"|de|Fehler Einstellungen"		},
			{32,   	"Hardware Error"			"|de|Hardwarefehler"			},
			{64,    "Internal communication Error"		"|de|Interner Kommunikationsfehler"	},
			{128,   "Humidity Error"			"|de|Feuchtigkeit erkannt"		},
			{256,   "Temperatur Error"			"|de|Temperaturfehler"			},
			{512,   ""										},
			{1024,  ""										},
			{2048,  ""										},	
			{4096,  "Questionable measurement Warning"	"|de|Warnung Messwert unsicher"		},
			{8192,  "Safety Warning"			"|de|Warnung Sicherheitseinrichtung"	},
			{16384, "Reagent Warning"			"|de|Warnung Reagenz"			},
			{32768, "Maintenance Warning"			"|de|Warnung Instandhaltung"		}
					
	}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}




VARIABLE MemberTable
{
	LABEL 	"Member Table"		"|de|Teilnehmertabelle";
	CLASS	INPUT & OUTPUT;
	TYPE	INTEGER (32)
        {
	
        }
	HANDLING	READ & WRITE;
}

VARIABLE Error1
{
	LABEL	"Error Classes Member "		"|de|Fehlermeldung";
	CLASS	CONTAINED;
	TYPE	BIT_ENUMERATED (2)
	{
			{0,   	"No Error"				"|de|Kein Fehler"			},
			{1,   	"Measurement calibration Error"		"|de|Kalibrierfehler"			},
			{2,   	"Electronic adjustment Error"		"|de|Elektronik / Einstellfehler"	},
			{4,   	"Cleaning Error"			"|de|Reinigungsfehler"			},
			{8,   	"Measuring module Error"		"|de|Messmodulfehler"			},
			{16,   	"Settings Error"			"|de|Fehler Einstellungen"		},
			{32,   	"Hardware Error"			"|de|Hardwarefehler"			},
			{64,    "Internal communication Error"		"|de|Interner Kommunikationsfehler"	},
			{128,   "Humidity Error"			"|de|Feuchtigkeit erkannt"		},
			{256,   "Temperatur Error"			"|de|Temperaturfehler"			},
			{512,   ""										},
			{1024,  ""										},
			{2048,  ""										},	
			{4096,  "Questionable measurement Warning"	"|de|Warnung Messwert unsicher"		},
			{8192,  "Safety Warning"			"|de|Warnung Sicherheitseinrichtung"	},
			{16384, "Reagent Warning"			"|de|Warnung Reagenz"			},
			{32768, "Maintenance Warning"			"|de|Warnung Instandhaltung"		}
					
	}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE Profile
{
	LABEL 	"Modbus Profile"	"|de|Modbus Profile";
	CLASS	INPUT & OUTPUT;
	TYPE	INTEGER (42)
        {
	
        }
	HANDLING	READ & WRITE;
}


VARIABLE Errorclasses
{
	LABEL	"Error Classes"		"|de|Fehlerklassen";
	CLASS	CONTAINED;
	TYPE	BIT_ENUMERATED (2)
	{
			{0,   	"No Error"				"|de|Kein Fehler"			},
			{1,   	"Measurement calibration Error"		"|de|Kalibrierfehler"			},
			{2,   	"Electronic adjustment Error"		"|de|Elektronik / Einstellfehler"	},
			{4,   	"Cleaning Error"			"|de|Reinigungsfehler"			},
			{8,   	"Measuring module Error"		"|de|Messmodulfehler"			},
			{16,   	"Settings Error"			"|de|Fehler Einstellungen"		},
			{32,   	"Hardware Error"			"|de|Hardwarefehler"			},
			{64,    "Internal communication Error"		"|de|Interner Kommunikationsfehler"	},
			{128,   "Humidity Error"			"|de|Feuchtigkeit erkannt"		},
			{256,   "Temperatur Error"			"|de|Temperaturfehler"			},
			{512,   ""										},
			{1024,  ""										},
			{2048,  ""										},	
			{4096,  "Questionable measurement Warning"	"|de|Warnung Messwert unsicher"		},
			{8192,  "Safety Warning"			"|de|Warnung Sicherheitseinrichtung"	},
			{16384, "Reagent Warning"			"|de|Warnung Reagenz"			},
			{32768, "Maintenance Warning"			"|de|Warnung Instandhaltung"		}
					
	}
	HANDLING	READ;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}


/************************************************************************/
/*		COMMANDS														*/
/************************************************************************/




COMMAND read_VendorName
{
	SLOT 0;
	INDEX 100;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            VendorName
        }
    }
}

COMMAND read_ModelName
{
	SLOT 0;
	INDEX 101;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            ModelName
        }
    }
}

COMMAND read_ModelNummer
{
	SLOT 0;
	INDEX 102;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            ModelNummer
        }
    }
}


COMMAND read_MemberTable
{
	SLOT 10;
	INDEX 0;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            Serial1_1,
            Serial1_2,
            Serial1_3,
            DeviceID1,
            ManufactID1,
            Length1,
            Error1,
            Status1,
            Serial2_1,
	    Serial2_2,
	    Serial2_3,
	    DeviceID2,
	    ManufactID2,
	    Length2,
	    Error2,
            Status2
        }
    }
}


 


/************************************************************************/
/*  Upload from device to PC              Daten lesen vom Gert zum PC	*/
/************************************************************************/

MENU download_variables
{
	LABEL	[menu_load_to_PC];
	ITEMS
	{ 
		VendorName,
//		Profile,
		ModelName,
		ModelNummer,
		L1_Measurement1,
		L1_Measurement2,
		L1_Measurement3,
		L1_Diag1,
		L1_Diag2,
		L1_Diag3,
		L1_Diag4,
		L1_Diag5,
		L1_Diag6,
		L1_AltPress,
		L1_Salinity,
		L1_UnitConc,
		L1_UnitTemp,
		L1_UnitAltP,
		L1_CorrectionSlope,
		L1_Correction,
		L1_Offset,
		L1_Integration,
		L1_SampleLocation,
		Status1,
		Serial1_1,
		Serial1_2,
		Serial1_3,
		DeviceID1,
		Error1,
		Status2,
		Serial2_1,
		Serial2_2,
		Serial2_3,
		DeviceID2,
		Error2,
		N2_SampleLocation,
		N2_Measurement1,
		N2_Correction,
		N2_Offset,
		N2_Wiperstatus,
		N2_Wipermode,
		N2_Wiperprofile,
		N2_Motorcycles,
		N2_CleaningInterval,
		N2_Unit,
		N2_Parameter,
		N2_Flashcycles,
		N2_Service,
		N2_Operating
				
	}
} 


/************************************************************************/
/*  Write from PC to device        Datenschreiben vom PC zum Gert	*/
/************************************************************************/

MENU upload_variables
{
	LABEL	[menu_load_to_device];
	ITEMS
	{
		L1_SampleLocation,
		L1_AltPress,
		L1_Salinity,
		L1_UnitConc,
		L1_UnitTemp,
		L1_UnitAltP,
		L1_CorrectionSlope,
		L1_Correction,
		L1_Offset,
		L1_Integration,
		N2_SampleLocation,
		N2_Correction,
//		N2_Correction,
		N2_Integration,
		N2_CleaningInterval,
		N2_Unit,
		N2_Wipermode,
		N2_Parameter
		
	}
}

/************************************************************************/
/*	  Table: Specialist													*/
/************************************************************************/

MENU Table_Main_Specialist
{
	LABEL	DEVICE_TITLE ;

	ITEMS
	{
		Tab_s_preferences,
		Tab_s_preferencesM1,
		Tab_s_preferencesM2,
		Tab_s_settings,
		Tab_s_diag,
		Tab_s_output,
		Tab_s_settings2,
		Tab_s_diag2,
		Tab_s_output2		
	}
}

/************************************************************************/
/*	  Main Menus														*/
/************************************************************************/

/************************************************************************/
/*	  Menu: Bar															*/
/************************************************************************/

MENU Menu_Main_Specialist
{
    LABEL		[main_menu];
    ITEMS
    {
        Menu_File,
        Menu_S_Device,
        Menu_S_View,
        Menu_S_Options,
        Menu_Help
    }
}

/************************************************************************/
/*	  Menu: Device														*/
/************************************************************************/

MENU Menu_S_Device
{
    LABEL		[menu_Device];
    ITEMS
    {
        std_LoadinDevice,
        std_LoadinPC,
        SEPARATOR,
	OnlineWindow_range_preferences,
	OnlineWindow_range_preferences2,
	OnlineWindow_clean_calib,
	OnlineWindow_clean_calib2
    }
}

/************************************************************************/
/*	  Menu: View														*/
/************************************************************************/

MENU Menu_S_View
{
    LABEL		[menu_View];
    ITEMS
    {
        OnlineWindow_display,
        OnlineWindow_display2
//	OnlineWindow_actual_mode
    }
}

/************************************************************************/
/*	  Online-Windows													*/
/************************************************************************/

MENU OnlineWindow_range_preferences
{
    LABEL	"Settings LDO" "|de|Einstelldaten erstes Gert";
    ITEMS
    {
		Page_range_preferences
    }
}

MENU Page_range_preferences
{
    LABEL	"Settings LDO" "|de|Voreinstellungen 1" ;
    ITEMS
    	{
		L1_SampleLocation,
		L1_AltPress,
		L1_Salinity,
		L1_UnitConc,
		L1_UnitTemp,
		L1_UnitAltP,
		L1_CorrectionSlope,
		L1_Correction,
		L1_Offset,
		L1_Integration
	}
}

MENU OnlineWindow_range_preferences2
{
    LABEL	"Settings Nitratax" "|de|Einstelldaten zweites Gert";
    ITEMS
    {
		Page_range_preferences2
    }
}

MENU Page_range_preferences2
{
    LABEL	"Settings Nitratax" "|de|Voreinstellungen 2" ;
    ITEMS
    	{
		N2_SampleLocation,
		N2_CleaningInterval,
		N2_Correction,
		N2_Offset,
//		N2_Integration,
		N2_Wipermode,
		N2_Unit,
//		N2_Parameter
	}
}

MENU OnlineWindow_clean_calib
{
    LABEL	"Change Location LDO"  	"|de|ndern Einbauort erstes Gert";
    ITEMS
    {
		Page_clean_calib 
    }
}

MENU Page_clean_calib
{
    LABEL	"Location"	"|de|Einbauort";
    ITEMS
    	{
	L1_SampleLocation

	}
}

MENU OnlineWindow_clean_calib2
{
    LABEL	"Cleaning Nitratax"  	"|de|Reinigen Nitratax";
    ITEMS
    {
		Page_clean_calib2 
    }
}

MENU Page_clean_calib2
{
    LABEL	"Cleaning Nitratax"  	"|de|Reinigen";
    ITEMS
    	{
	N2_Wiperstatus,
	N2_CleaningInterval
	}
}


MENU Tab_s_preferences
{
    LABEL	"SC1000 Overview"  "|de|SC1000 Allgemein";
    ITEMS
    {
		VendorName,
		ModelName,
		ModelNummer,
				

    }
}

MENU Tab_s_preferencesM1
{
    LABEL	"Overview LDO "  "|de|SC1000 erstes Gert";
    ITEMS
    {
		DeviceID1,
		Serial1_1,
		Serial1_2,
		Serial1_3,
		L1_SampleLocation
			

    }
}

MENU Tab_s_preferencesM2
{
    LABEL	"Overview Nitratax "  "|de|SC1000 zweites Gert";
    ITEMS
    {
		DeviceID2,
		Serial2_1,
		Serial2_2,
		Serial2_3,
		N2_SampleLocation
			

    }
}

MENU Tab_s_output
{
	LABEL	"Measured values LDO" "|de|Messwerte erstes Gert";
	ITEMS
	{
		L1_Measurement1,
		L1_Measurement2,
		L1_Measurement3
		
	}
}

MENU Tab_s_output2
{
	LABEL	"Measured values Nitratax" "|de|Messwerte zweites Gert";
	ITEMS
	{
		N2_Measurement1,
	}
}

MENU Tab_s_diag
{
	LABEL	"Diagnostics LDO" "|de|Diagnose erstes Gert";
	ITEMS
	{
		Status1,
		Error1,
		L1_Diag1,
		L1_Diag2,
		L1_Diag3,
		L1_Diag4,
		L1_Diag5,
		L1_Diag6
	}
}

MENU Tab_s_diag2
{
	LABEL	"Diagnostics Nitratax" "|de|Diagnose zweites Gert";
	ITEMS
	{
		Status2,
		Error2,
		N2_Wiperstatus,
		N2_Wiperprofile,
		N2_Motorcycles,
		N2_Flashcycles,
		N2_Service,
		N2_Operating
	}
}


MENU Tab_s_settings
{
	LABEL	"Settings LDO" "|de|Einstelldaten erstes Gert";
	ITEMS
	{
		L1_AltPress,
		L1_Salinity,
		L1_UnitConc,
		L1_UnitTemp,
		L1_UnitAltP,
		L1_CorrectionSlope,
		L1_Correction,
		L1_Offset,
		L1_Integration
				
	}
}

MENU Tab_s_settings2
{
	LABEL	"Settings Nitratax" "|de|Einstelldaten zweites Gert";
	ITEMS
	{
		N2_Parameter 	(READ_ONLY),
		N2_Unit,
		N2_Correction,
		N2_Offset,
//		N2_Integration,
		N2_CleaningInterval,
		N2_Wipermode,
//		N2_Wiperstatus
				
	}
}

/************************************************************************/
/*	  Table: Maintenance												*/
/************************************************************************/

MENU Table_Main_Maintenance
{
	LABEL	DEVICE_TITLE ;

	ITEMS
	{
		Tab_s_preferences,
		Tab_s_preferencesM1,
		Tab_s_preferencesM2,
		Tab_m_settings,
		Tab_s_diag,
		Tab_s_output,
		Tab_m_settings2,
		Tab_s_diag2,
		Tab_s_output2
	}
}

/************************************************************************/
/*	  Main Menus														*/
/************************************************************************/

/************************************************************************/
/*	  Menu: Bar															*/
/************************************************************************/

MENU Menu_Main_Maintenance
{
    LABEL		[main_menu];
    ITEMS
    {
        Menu_File,
        Menu_M_Device,
        Menu_M_View,
        //Menu_M_Options,
        Menu_Help
    }
}

/************************************************************************/
/*	  Menu: Device														*/
/************************************************************************/

MENU Menu_M_Device
{
    LABEL		[menu_Device];
    ITEMS
    {
        std_LoadinDevice,
        std_LoadinPC
    }
}

/************************************************************************/
/*	  Menu: View														*/
/************************************************************************/

MENU Menu_M_View
{
    LABEL		[menu_View];
    ITEMS
    {
        OnlineWindow_display,
        OnlineWindow_display2
//	OnlineWindow_actual_mode
    }
}

/************************************************************************/
/*	  Online-Windows													*/
/************************************************************************/

MENU Tab_m_preferences
{
    LABEL	"Overview LDO" "|de|Allgemein";
    ITEMS
    {
		VendorName,
		ModelName,
		ModelNummer,
		L1_SampleLocation
		

    }
}

MENU Tab_m_output
{
	LABEL		[menu_output];
	ITEMS
	{
		N2_Measurement1
	
	}
}

MENU Tab_m_diag
{
	LABEL	"Diagnostics LDO" "|de|Diagnose erstes Gert";
	ITEMS
	{
		Status2,
		Error2,
		N2_Wiperstatus,
		N2_Wiperprofile,
		N2_Motorcycles,
		N2_Flashcycles,
		N2_Service,
		N2_Operating
	}
}

MENU Tab_m_settings
{
	LABEL	"Settings LDO" "|de|Einstelldaten erstes Gert";
	ITEMS
	{
		L1_AltPress		(READ_ONLY),
		L1_Salinity		(READ_ONLY),
		L1_UnitConc		(READ_ONLY),
		L1_UnitTemp		(READ_ONLY),
		L1_UnitAltP		(READ_ONLY),
		L1_CorrectionSlope	(READ_ONLY),
		L1_Correction		(READ_ONLY),
		L1_Offset		(READ_ONLY),
		L1_Integration		(READ_ONLY)		
				
	}
}

MENU Tab_m_settings2
{
	LABEL	"Settings Nitratax" "|de|Einstelldaten erstes Gert";
	ITEMS
	{
		N2_Parameter 		(READ_ONLY),
		N2_Unit			(READ_ONLY),
		N2_Correction		(READ_ONLY),
		N2_Offset		(READ_ONLY),
		N2_CleaningInterval	(READ_ONLY),
		N2_Wipermode		(READ_ONLY)
		
	}
}

MENU OnlineWindow_actual_mode
{
	LABEL	"Current values" "|de|Aktuell";
	ITEMS
	{
		L1_Measurement1,
		L1_Measurement2,
		L1_Measurement3,
		N2_Measurement1	

	}
}

MENU OnlineWindow_display
{
	LABEL   "Measured Value O2 Temp" "|de|Messwertanzeige LDO" ;
	ITEMS
	{
		Page_display_func1
	}
}

MENU Page_display_func1
{
	LABEL   "Measured Values" "|de|Messwertanzeigen" ;
	ITEMS
	{
		BarVal_out_display_func1,
		BarVal_out_display_func3,
		BarVal_out_display_func2_1
	}
}


MENU BarVal_out_display_func1
{
	LABEL		"Oxygen Concentration" "|de|Sauerstoffkonzentration" ;
	HELP		[func_ai_out_value_help];
	ITEMS
	{
		L1_Measurement1

	}
}

MENU BarVal_out_display_func2
{
	LABEL		[func_out_value];
	HELP		[func_ai_out_value_help];
	ITEMS
	{
		L1_Measurement2

	}
}

MENU BarVal_out_display_func3
{
	LABEL		"Temperature" "|de|Temperatur" ;
	HELP		[func_ai_out_value_help];
	ITEMS
	{
		L1_Measurement3

	}
}

MENU BarVal_out_display_func4
{
	LABEL		[func_out_value];
	HELP		[func_ai_out_value_help];
	ITEMS
	{
//		S2_Measurement4

	}
}

MENU OnlineWindow_display2
{
	LABEL   "Measured Value Nitrate" "|de|Messwertanzeige 2" ;
	ITEMS
	{
		Page_display_func2_1
	}
}

MENU Page_display_func2_1
{
	LABEL   "Measured Value Nitrate" "|de|Messwertanzeigen zweites Gert" ;
	ITEMS
	{
		BarVal_out_display_func2_1

	}
}


MENU BarVal_out_display_func2_1
{
	LABEL		"Nitrate Value" "|de|Messwert Nitrat" ;
	HELP		[func_ai_out_value_help];
	ITEMS
	{
		N2_Measurement1

	}
}

