/*-----------------------------------------------------------------*/
/*	Copyright (C)	Hach-Lange (2005). All Rights Reserved.	   */
/*	Product:		SIMATIC PDM  			   */
/*	Device:			SC1000 V1       		   */
/*	Description:		Device Description	           */
/*	Dictionary:		SIPADC01.dct			   */
/*  	$Revision:		0.1  $				   */
/*  	$Date:			8.Dec 2005			   */
/*	File:			n1_Nitrolyser.inc		   */
/*	Author:			T.Thiel Hach-Lange	           */
/*-----------------------------------------------------------------*/


/************************************************************************/
/*		Variables						*/
/************************************************************************/



VARIABLE n1_Measurement1
{
	LABEL 	"TSeq Value" 		"|de|Messwert Tseq";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";

}

VARIABLE n1_Measurement2
{
	LABEL 	"NO3-Neq Value" 	"|de|Messwert NO3-Neq";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";

}


VARIABLE n1_Diag1
{
	LABEL 	"Gap size" 		"|de|Spaltbreite";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".4f";
	CONSTANT_UNIT 	"m";
}

VARIABLE n1_Diag2
{
	LABEL 	"Version Probe" 	"|de|Softwarevers. Sonde";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"";
}

VARIABLE n1_MeasInt
{
	LABEL 	"Measuring Interval" 		"|de|Messinterval";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
	
						
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	CONSTANT_UNIT 	"min";
}

VARIABLE n1_CleanInt
{
	LABEL 	"Cleaning Interval" 		"|de|Splinterval";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
	
						
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	CONSTANT_UNIT 	"counts";
}

VARIABLE n1_CleanTime
{
	LABEL 	"Cleaning Time" 		"|de|Spldauer";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
	
						
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	CONSTANT_UNIT 	"sek";
}

VARIABLE n1_WaitTime
{
	LABEL 	"Waiting Time" 		"|de|Wartezeit";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
	
						
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	CONSTANT_UNIT 	"sek";
}

VARIABLE n1_BusyTime
{
	LABEL 	"Remaining Time" 		"|de|Restzeit Messung";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
	
						
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	CONSTANT_UNIT 	"sek";
}

VARIABLE n1_CleanService
{
	LABEL 	"Clean service"			"|de|Splen manuell";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
					
			{0,		"Aus (Automatikbetrieb" },
			{1,		"Ein (permanent !!)"  	}
			
						
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE n1_Cleaning
{
	LABEL 	"Cleaning"			"|de|Rckmeldung Splen";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
					
			{0,		"Aus" },
			{1,		"Ein" }
			
						
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE n1_Unit1
{
	LABEL 	"Unit Tseq"			"|de|Einheit Tseq";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
				
			{0,			"mg/l"   	},
			{1,			"g/l"     }
			
						
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

UNIT Select_unit_1		// dynymic unit relation
{
	n1_Unit1:
	n1_Measurement1,
	n1_ManTemp

}

VARIABLE n1_Unit2
{
	LABEL 	"Unit CODeq"			"|de|Einheit CODeq";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
			
			{0,			"mg/l"   	},
			{1,			"g/l"     }
			
						
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

UNIT Select_Unit_2		// dynymic unit relation
{
	n1_Unit2:
	n1_Measurement2


}

VARIABLE n1_SampleLocation
{
	LABEL 	"Probe Location" "|de|Einbauort";
	CLASS	CONTAINED;
	TYPE	ASCII (12)
		{
			DEFAULT_VALUE "";
		}
	HANDLING	READ;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE n1_GlobalKal
{
	LABEL 	"Global Calib" "|de|Globale Kalib.";
	CLASS	CONTAINED;
	TYPE	ASCII (12)
		{
			DEFAULT_VALUE "";
		}
	HANDLING	READ;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE n1_Referenz
{
	LABEL 	"Probe Location" "|de|Referenz";
	CLASS	CONTAINED;
	TYPE	ASCII (8)
		{
			DEFAULT_VALUE "";
		}
	HANDLING	READ;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE n1_ParamM1_1
{
	LABEL 	"Tseq Cal.Value 1" 	"|de|Tseq Kalib.Messwert 1";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"mg/l";
}

VARIABLE n1_ParamM2_1
{
	LABEL 	"Tseq Cal.Value 2" 	"|de|Tseq Kalib.Messwert 2";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"mg/l";
}

VARIABLE n1_ParamM3_1
{
	LABEL 	"Tseq Lab.Value 1" 	"|de|Tseq Kalib.Laborwert 1";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"mg/l";
}

VARIABLE n1_ParamM4_1
{
	LABEL 	"Tseq Lab.Value 2" 	"|de|Tseq Kalib.Laborwert 2";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"mg/l";
}

VARIABLE n1_ParamM1_2
{
	LABEL 	"NO3-Neq Cal.Value 1" 	"|de|NO3-Neq Kalib.Messwert 1";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"mg/l";
}

VARIABLE n1_ParamM2_2
{
	LABEL 	"NO3-Neq Cal.Value 2" 	"|de|NO3-Neq Kalib.Messwert 2";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"mg/l";
}

VARIABLE n1_ParamM3_2
{
	LABEL 	"NO3-Neq Lab.Value 1" 	"|de|NO3-Neq Kalib.Laborwert 1";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"mg/l";
}

VARIABLE n1_ParamM4_2
{
	LABEL 	"NO3-Neq Lab.Value 2" 	"|de|NO3-Neq Kalib.Laborwert 2";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"mg/l";
}

VARIABLE n1_LocalCalib1
{
	LABEL 	"Local Calibration Tseq"	"|de|Lokale Kalibrierung Tseq";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
						
			{0,		"Aus" },
			{1,		"Ein" }
			
						
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE n1_LocalCalib2
{
	LABEL 	"Local Calibration NO3-Neq"	"|de|Lokale Kalibrierung NO3-Neq";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
						
			{0,		"Aus" },
			{1,		"Ein" }
			
						
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

/************************************************************************/
/*		COMMANDS														*/
/************************************************************************/

COMMAND read_n1_ParamM1_1
{
	SLOT 21;
	INDEX 81;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            n1_ParamM1_1
        }
    }
}

COMMAND write_n1_ParamM1_1
{
	SLOT 21;
	INDEX 81;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              n1_ParamM1_1
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_n1_ParamM2_1
{
	SLOT 21;
	INDEX 83;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            n1_ParamM2_1
        }
    }
}

COMMAND write_n1_ParamM2_1
{
	SLOT 21;
	INDEX 83;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              n1_ParamM2_1
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_n1_ParamM3_1
{
	SLOT 21;
	INDEX 85;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            n1_ParamM3_1
        }
    }
}

COMMAND write_n1_ParamM3_1
{
	SLOT 21;
	INDEX 85;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              n1_ParamM3_1
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_n1_ParamM4_1
{
	SLOT 21;
	INDEX 87;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            n1_ParamM4_1
        }
    }
}

COMMAND write_n1_ParamM4_1
{
	SLOT 21;
	INDEX 87;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              n1_ParamM4_1
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_n1_ParamM1_2
{
	SLOT 21;
	INDEX 89;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            n1_ParamM1_2
        }
    }
}

COMMAND write_n1_ParamM1_2
{
	SLOT 21;
	INDEX 89;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              n1_ParamM1_2
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_n1_ParamM2_2
{
	SLOT 21;
	INDEX 91;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            n1_ParamM2_2
        }
    }
}

COMMAND write_n1_ParamM2_2
{
	SLOT 21;
	INDEX 91;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              n1_ParamM2_2
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_n1_ParamM3_2
{
	SLOT 21;
	INDEX 93;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            n1_ParamM3_2
        }
    }
}

COMMAND write_n1_ParamM3_2
{
	SLOT 21;
	INDEX 93;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              n1_ParamM3_2
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_n1_ParamM4_2
{
	SLOT 21;
	INDEX 95;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            n1_ParamM4_2
        }
    }
}

COMMAND write_n1_ParamM4_2
{
	SLOT 21;
	INDEX 95;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              n1_ParamM4_2
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_n1_LocalCalib1
{
	SLOT 21;
	INDEX 13;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            n1_LocalCalib2,
            n1_LocalCalib1
        }
    }
}

COMMAND write_n1_LocalCalib1
{
	SLOT 21;
	INDEX 13;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              n1_LocalCalib1
        }
        REPLY
        {
            
        }
    }
}


COMMAND write_n1_LocalCalib2
{
	SLOT 21;
	INDEX 14;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              n1_LocalCalib2
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_n1_BusyTime
{
	SLOT 21;
	INDEX 15;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            n1_BusyTime
        }
    }
}

COMMAND read_n1_Measurement1
{
	SLOT 21;
	INDEX 0;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            n1_Measurement1
        }
    }
}

COMMAND read_n1_Measurement2
{
	SLOT 21;
	INDEX 2;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            n1_Measurement2
        }
    }
}

COMMAND read_n1_Diag1
{
	SLOT 21;
	INDEX 56;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            n1_Diag1
        }
    }
}

COMMAND read_n1_Diag2
{
	SLOT 21;
	INDEX 62;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            n1_Diag2
        }
    }
}


COMMAND read_n1_MeasInt
{
	SLOT 21;
	INDEX 24;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            n1_MeasInt,
            n1_CleanInt,
            0,
            0,
            n1_CleanTime,
            n1_WaitTime
        }
    }
}

COMMAND write_n1_MeasInt
{
	SLOT 21;
	INDEX 24;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              n1_MeasInt
        }
        REPLY
        {
            
        }
    }
}

COMMAND write_n1_CleanInt
{
	SLOT 21;
	INDEX 25;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              n1_CleanInt
        }
        REPLY
        {
            
        }
    }
}

COMMAND write_n1_CleanTime
{
	SLOT 21;
	INDEX 27;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              n1_CleanTime
        }
        REPLY
        {
            
        }
    }
}


COMMAND write_n1_WaitTime
{
	SLOT 21;
	INDEX 28;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              n1_WaitTime
        }
        REPLY
        {
            
        }
    }
}


COMMAND read_n1_Cleaning
{
	SLOT 21;
	INDEX 4;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            n1_Cleaning
        }
    }
}

COMMAND read_n1_CleanService
{
	SLOT 21;
	INDEX 97;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            n1_CleanService
        }
    }
}

COMMAND write_n1_CleanService
{
	SLOT 21;
	INDEX 97;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              n1_CleanService
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_n1_Units
{
	SLOT 21;
	INDEX 104;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            n1_Unit2,
            n1_Unit1
        }
    }
}

COMMAND write_n1_Unit1
{
	SLOT 21;
	INDEX 104;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              n1_Unit1
        }
        REPLY
        {
            
        }
    }
}

COMMAND write_n1_Unit2
{
	SLOT 21;
	INDEX 105;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              n1_Unit2
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_n1_SampleLocation
{
	SLOT 21;
	INDEX 16;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            n1_SampleLocation
        }
    }
}

COMMAND write_n1_SampleLocation
{
	SLOT 21;
	INDEX 16;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              n1_SampleLocation
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_n1_GlobalKal
{
	SLOT 21;
	INDEX 38;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            n1_GlobalKal
        }
    }
}

COMMAND read_n1_Referenz
{
	SLOT 21;
	INDEX 44;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            n1_Referenz
        }
    }
}