/*-----------------------------------------------------------------*/
/*	Copyright (C)	Hach-Lange (2005). All Rights Reserved.	   */
/*	Product:		SIMATIC PDM  			   */
/*	Device:			SC1000 V1       		   */
/*	Description:		Device Description	           */
/*	Dictionary:		SIPADC01.dct			   */
/*  	$Revision:		0.1  $				   */
/*  	$Date:			09.Nov 2005			   */
/*	File:			S1_Solitax.inc			   */
/*	Author:			T.Thiel Hach-Lange	           */
/*-----------------------------------------------------------------*/


/************************************************************************/
/*		Variablen						*/
/************************************************************************/



VARIABLE S1_Measurement1
{
	LABEL 	"Measurement Value" 	"|de|Messwert FNU";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"FNU";
}

VARIABLE S1_Measurement2
{
	LABEL 	"Measurement Value" 	"|de|Messwert EBC";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"EBC";
}

VARIABLE S1_Measurement3
{
	LABEL 	"Measurement Value" 	"|de|Messwert mg/l";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"mg/l";
}

VARIABLE S1_Measurement4
{
	LABEL 	"Measurement Value" 	"|de|Messwert g/l";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"g/l";
}

VARIABLE S1_Measurement5
{
	LABEL 	"Measurement Value" 	"|de|Messwert %";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"%";
}

VARIABLE S1_UnitTRB
{
	LABEL 	"Unit turbidity" 			"|de|Einheit Trbung";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
			{6,			"FNU"	},
			{7,			"NTU"   },
			{9,			"EBC"   }
			
						
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}


VARIABLE S1_UnitTS
{
	LABEL 	"Unit suspendet solids"			"|de|Einheit Feststoff";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
			DEFAULT_VALUE 0;
			{0,			"mg/l"	},
			{1,			"g/l"   }				
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE S1_Parameter
{
	LABEL 	"Measurement Mode" 	"|de|Betriebsart";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			{0,			"Turbidity" 		"|de|Trbung" 	},
			{1,			"Suspendet solids" 	"|de|Feststoff"	}
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE S1_CorrectionTRB
{
	LABEL 	"Correction TRB""|de|Korrekturfaktor TRB";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			DEFAULT_VALUE  1.0;
			
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE S1_CorrectionTS
{
	LABEL 	"Correction TS""|de|Korrekturfaktor TS";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			DEFAULT_VALUE  1.0;
			
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE S1_OffsetTRB
{
	LABEL 	"Offset TRB""|de|Offset TRB";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			DEFAULT_VALUE  0.0;
			
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE S1_Integration
{
	LABEL 	"Integration"	"|de|Integration in Sekunden";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
        {
	
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE S1_CleaningInterval
{
	LABEL 	"Cleaning interval" "|de|Reinigungsinterval";
	CLASS	CONTAINED;
	TYPE	ENUMERATED (2)
	{
		{0,	""					},
		{1,	"1 Min."				},
		{5,	"5 Min"					},
		{15,	"15 Min"				},
		{30,	"30 Min"				},
		{60,	"1 houre"	"|de|1 Stunde"		},
		{240,	"4 houres"	"|de|4 Stunden"		},
		{720,	"12 houres"	"|de|12 Stunden"	},
		{1440,	"24 houres"	"|de|24 Stunden"	},
		{4320,	"3  days"	"|de|3 Tage"		},
		{1080,	"7  days"	"|de|7 Tage"		}
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE S1_Wiperstatus
{
	LABEL 	"Wiper status" "|de|Wischerstatus";
	CLASS	CONTAINED;
	TYPE	UNSIGNED_INTEGER (2)
	{
		{0,	"wiper park position"	"|de|Wischer Stop"},
		{1,	"run wiper cycle."	"|de|Wischer Start"}
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
	
}

VARIABLE S1_Wiperprofile
{
	LABEL 	"Wiper replace counter" "|de|Wischblatt Zykluszhler";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
        {
	
        }
	HANDLING	READ;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE S1_Motorcycles
{
	LABEL 	"Motor counter" "|de|Motor Zykluszhler";
	CLASS	CONTAINED;
	TYPE	INTEGER (4)
	        {
		
	        }
	HANDLING	READ;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;

}

VARIABLE S1_SampleLocation
{
	LABEL 	"Probe Location" "|de|Einbauort";
	CLASS	CONTAINED;
	TYPE	ASCII (15)
		{
			DEFAULT_VALUE "";
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}


/************************************************************************/
/*		COMMANDS														*/
/************************************************************************/


COMMAND read_S1_Measurement1
{
	SLOT 21;
	INDEX 0;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            S1_Measurement1
        }
    }
}

COMMAND read_S1_Measurement2
{
	SLOT 21;
	INDEX 2;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            S1_Measurement2
        }
    }
}

COMMAND read_S1_Measurement3
{
	SLOT 21;
	INDEX 4;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            S1_Measurement3
        }
    }
}

COMMAND read_S1_Measurement4
{
	SLOT 21;
	INDEX 6;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            S1_Measurement4
        }
    }
}

COMMAND read_S1_Measurement5
{
	SLOT 21;
	INDEX 8;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            S1_Measurement5
        }
    }
}

COMMAND read_S1_UnitTRB
{
	SLOT 21;
	INDEX 12;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            S1_UnitTRB
        }
    }
}

COMMAND write_S1_UnitTRB
{
	SLOT 21;
	INDEX 12;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              S1_UnitTRB
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_S1_UnitTS
{
	SLOT 21;
	INDEX 13;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            S1_UnitTS
        }
    }
}

COMMAND write_S1_UnitTS
{
	SLOT 21;
	INDEX 13;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              S1_UnitTS
        }
        REPLY
        {
            
        }
    }
}


COMMAND read_S1_OffsetTRB
{
	SLOT 21;
	INDEX 14;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            S1_OffsetTRB
        }
    }
}

COMMAND write_S1_OffsetTRB
{
	SLOT 21;
	INDEX 14;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              S1_OffsetTRB
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_S1_CorrectionTRB
{
	SLOT 21;
	INDEX 16;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            S1_CorrectionTRB
        }
    }
}

COMMAND write_S1_CorrectionTRB
{
	SLOT 21;
	INDEX 16;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              S1_CorrectionTRB
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_S1_CorrectionTS
{
	SLOT 21;
	INDEX 18;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            S1_CorrectionTS
        }
    }
}

COMMAND write_S1_CorrectionTS
{
	SLOT 21;
	INDEX 18;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              S1_CorrectionTS
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_S1_Integration
{
	SLOT 21;
	INDEX 21;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            S1_Integration
        }
    }
}

COMMAND write_S1_Integration
{
	SLOT 21;
	INDEX 21;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              S1_Integration
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_S1_CleaningInterval
{
	SLOT 21;
	INDEX 22;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            S1_CleaningInterval
        }
    }
}

COMMAND write_S1_CleaningInterval
{
	SLOT 21;
	INDEX 22;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              S1_CleaningInterval
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_S1_Wiperstatus
{
	SLOT 21;
	INDEX 20;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            S1_Wiperstatus
        }
    }
}

COMMAND write_S1_Wiperstatus
{
	SLOT 21;
	INDEX 20;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              S1_Wiperstatus
        }
        REPLY
        {
            
        }
    }
}


COMMAND read_S1_Wiperprofile
{
	SLOT 21;
	INDEX 34;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            S1_Wiperprofile
        }
    }
}

COMMAND write_S1_Wiperprofile
{
	SLOT 21;
	INDEX 34;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              S1_Wiperprofile
        }
        REPLY
        {
            
        }
    }
}


COMMAND read_S1_Parameter
{
	SLOT 21;
	INDEX 11;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            S1_Parameter
        }
    }
}

COMMAND write_S1_Parameter
{
	SLOT 21;
	INDEX 11;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
        S1_Parameter
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_S1_SampleLocation
{
	SLOT 21;
	INDEX 26;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            S1_SampleLocation
        }
    }
}

COMMAND write_S1_SampleLocation
{
	SLOT 21;
	INDEX 26;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              S1_SampleLocation
        }
        REPLY
        {
            
        }
    }
}

