/*-----------------------------------------------------------------*/
/*	Copyright (C)	Hach-Lange (2005). All Rights Reserved.	   */
/*	Product:		SIMATIC PDM  			   */
/*	Device:			SC1000 V1       		   */
/*	Description:		Device Description	           */
/*	Dictionary:		SIPADC01.dct			   */
/*  	$Revision:		0.1  $				   */
/*  	$Date:			October 2005			   */
/*	File:			SC1000Solitax.ddl		   */
/*	Author:			T.Thiel Hach-Lange	           */
/*-----------------------------------------------------------------*/

MANUFACTURER		 	128,
DEVICE_TYPE			1,
DEVICE_REVISION  		1,
DD_REVISION			1



#define DEVICE_TITLE			"Solitax SC"


/************************************************************************/
/*		Variablen						*/
/************************************************************************/

VARIABLE Serial1_1
{
	LABEL 	"Serial No 1" 	"|de|Seriennummer 1";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			
		}
	HANDLING	READ;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE Serial1_2
{
	LABEL 	"Serial No 2" 	"|de|Seriennummer 2";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			
		}
	HANDLING	READ;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE Serial1_3
{
	LABEL 	"Serial No 3" 	"|de|Seriennummer 3";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			
		}
	HANDLING	READ;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE DeviceID1
{
	LABEL 	"Device ID" 	"|de|Geraetekennung";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			
		}
	HANDLING	READ;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE ManufactID1
{
	LABEL 	"Manufacturer ID" 	"|de|Herstellerkennung";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			
		}
	HANDLING	READ;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE Length1
{
	LABEL 	"Length Member table" 	"|de|Lnge Teilnehmertabelle";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			
		}
	HANDLING	READ;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE Status1
{
	LABEL 	"Status 1";
	CLASS	DYNAMIC;
	TYPE	BIT_ENUMERATED (2)
	{
		DEFAULT_VALUE	1;
		{	1,   ""		},
		{	2,   "Cleaning in progress"	"|de|Wischer aktiv"	},
		{	4,   "Service Maintenance Mode"	"|de|Betriebsart Service"},
		{	8,   "Common Error" 		"|de|Fehler"		},
		{	16,  "Measurement not Valid"	"|de|Messwert ungltig"   }
			
	}	
	HANDLING	READ;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE MemberTable
{
	LABEL 	"Member Table"		"|de|Teilnehmertabelle";
	CLASS	INPUT & OUTPUT;
	TYPE	INTEGER (16)
        {
	
        }
	HANDLING	READ & WRITE;
}

VARIABLE Error1
{
	LABEL	"Error Classes Member 1"		"|de|Fehler 1";
	CLASS	CONTAINED;
	TYPE	BIT_ENUMERATED (2)
	{
			{0,   	"No Error"				"|de|Kein Fehler"			},
			{1,   	"Measurement calibration Error"		"|de|Kalibrierfehler"			},
			{2,   	"Electronic adjustment Error"		"|de|Elektronik / Einstellfehler"	},
			{4,   	"Cleaning Error"			"|de|Reinigungsfehler"			},
			{8,   	"Measuring module Error"		"|de|Messmodulfehler"			},
			{16,   	"Settings Error"			"|de|Fehler Einstellungen"		},
			{32,   	"Hardware Error"			"|de|Hardwarefehler"			},
			{64,    "Internal communication Error"		"|de|Interner Kommunikationsfehler"	},
			{128,   "Humidity Error"			"|de|Feuchtigkeit erkannt"		},
			{256,   "Temperatur Error"			"|de|Temperaturfehler"			},
			{512,   ""										},
			{1024,  ""										},
			{2048,  ""										},	
			{4096,  "Questionable measurement Warning"	"|de|Warnung Messwert unsicher"		},
			{8192,  "Safety Warning"			"|de|Warnung Sicherheitseinrichtung"	},
			{16384, "Reagent Warning"			"|de|Warnung Reagenz"			},
			{32768, "Maintenance Warning"			"|de|Warnung Instandhaltung"		}
					
	}
	HANDLING	READ;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE Profile
{
	LABEL 	"Modbus Profile"	"|de|Modbus Profile";
	CLASS	INPUT & OUTPUT;
	TYPE	INTEGER (42)
        {
	
        }
	HANDLING	READ & WRITE;
}




VARIABLE Measurement
{
	LABEL 	"Measurement Value" 	"|de|Messwert";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
	DISPLAY_FORMAT ".2f";
}

VARIABLE Unit
{
	LABEL 	"Unit" 			"|de|Einheit";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
			DEFAULT_VALUE 13;
			{13,			"m"	},
			{43,			"ft"    }
						
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE Parameter
{
	LABEL 	"Measurement Mode" 	"|de|Betriebsart";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			DEFAULT_VALUE 23;
			{23,			"Sludge Level" 	"|de|Schlammspiegel" 	},
			{24,			"Sludge Heigh" 	"|de|Schlammhhe"	}
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE Status
{
	LABEL 	"Status";
	CLASS	DYNAMIC;
	TYPE	BIT_ENUMERATED (2)
	{
		DEFAULT_VALUE	1;
		{	1,   ""		},
		{	2,   "Cleaning in progress"	"|de|Wischer aktiv"	},
		{	4,   "Service Maintenance Mode"	"|de|Betriebsart Service"},
		{	8,   "Common Error" 		"|de|Fehler"		},
		{	16,  "Measurement not Valid"	"|de|Messwert ungltig"   }
			
	}	
	HANDLING	READ;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE ErrorA
{
	LABEL 	"ErrorASCII";
	CLASS	CONTAINED;
	TYPE	ASCII (1)
		{
			DEFAULT_VALUE "";
		}
	HANDLING	READ;
}

VARIABLE Error
{
	LABEL	"Error"		"|de|Fehler" ;
	CLASS	CONTAINED;
	TYPE	BIT_ENUMERATED (2)
	{
			DEFAULT_VALUE	256;
			{0,	"No Error"		"|de|Kein Fehler"		},
			{1,	"EEProm Error"		"|de|EEProm Fehler"		},
			{2,	"Calibration data Error""|de|Kalibrierdaten Fehler"	},
			{4,	"Device Data Error"	"|de|Gertedaten Fehler"	},
			{8,	"Replace Wiper"		"|de|Wischerprofil erneuern"	},
			{16,	"Wrong Measured"	"|de|Fehlmessung"		},
			{32,	"Wiper Blocked"		"|de|Wischer blockiert"		},
			{64,	"Wiper Timeout"		"|de|Wischer Laufzeifehler"	},
			{128,	"Missing Wiper"		"|de|Wischer fehlt"		},
			{256,	"No Error"		"|de|Kein Fehler"		}
			
	}
	HANDLING	READ;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE Errorclasses
{
	LABEL	"Error Classes"		"|de|Fehlerklassen";
	CLASS	CONTAINED;
	TYPE	BIT_ENUMERATED (2)
	{
			{0,   	"No Error"				"|de|Kein Fehler"			},
			{1,   	"Measurement calibration Error"		"|de|Kalibrierfehler"			},
			{2,   	"Electronic adjustment Error"		"|de|Elektronik / Einstellfehler"	},
			{4,   	"Cleaning Error"			"|de|Reinigungsfehler"			},
			{8,   	"Measuring module Error"		"|de|Messmodulfehler"			},
			{16,   	"Settings Error"			"|de|Fehler Einstellungen"		},
			{32,   	"Hardware Error"			"|de|Hardwarefehler"			},
			{64,    "Internal communication Error"		"|de|Interner Kommunikationsfehler"	},
			{128,   "Humidity Error"			"|de|Feuchtigkeit erkannt"		},
			{256,   "Temperatur Error"			"|de|Temperaturfehler"			},
			{512,   ""										},
			{1024,  ""										},
			{2048,  ""										},	
			{4096,  "Questionable measurement Warning"	"|de|Warnung Messwert unsicher"		},
			{8192,  "Safety Warning"			"|de|Warnung Sicherheitseinrichtung"	},
			{16384, "Reagent Warning"			"|de|Warnung Reagenz"			},
			{32768, "Maintenance Warning"			"|de|Warnung Instandhaltung"		}
					
	}
	HANDLING	READ;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}



VARIABLE Correction
{
	LABEL 	"Correction""|de|Korrekturfaktor";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			DEFAULT_VALUE  1.0;
			
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE Offset
{
	LABEL 	"Offset";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			DEFAULT_VALUE  0.0;
			
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE Channel_1
{
	LABEL 	"Channel 1";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
}

VARIABLE Channel_2
{
	LABEL 	"Channel 2";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
}

VARIABLE Integration
{
	LABEL 	"Integration"	"|de|Integration *10sec";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
        {
	
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE CleaningInterval
{
	LABEL 	"Cleaning interval" "|de|Reinigungsinterval";
	CLASS	CONTAINED;
	TYPE	ENUMERATED (2)
	{
		{0,	"5 min"			},
		{1,	"10 min."		},
		{2,	"15 min"		},
		{3,	"30 min"		},
		{4,	"1 houre"	"|de|1 Stunde"		},
		{5,	"2 houres"	"|de|2 Stunden"		},
		{6,	"4 houres"	"|de|4 Stunden"		},
		{7,	"6 houres"	"|de|6 Stunden"		},
		{8,	"8 houres"	"|de|8 Stunden"		},
		{9,	"12 houres"	"|de|12 Stunden"	}
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE Wiperstatus
{
	LABEL 	"Wiper status" "|de|Wischerstatus";
	CLASS	CONTAINED;
	TYPE	UNSIGNED_INTEGER (2)
	{
		{0,	"wiper park position"	"|de|Wischer Stop"},
		{1,	"run wiper cycle."	"|de|Wischer Start"}
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
	
}

VARIABLE Wiperprofile
{
	LABEL 	"Wiper replace counter" "|de|Wischblatt Zykluszhler";
	CLASS	CONTAINED;
	TYPE	INTEGER (4)
        {
	
        }
	HANDLING	READ;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE Motorcycles
{
	LABEL 	"Motor counter" "|de|Motor Zykluszhler";
	CLASS	CONTAINED;
	TYPE	INTEGER (4)
	        {
		
	        }
	HANDLING	READ;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;

}

VARIABLE SampleLocation
{
	LABEL 	"Probe Location" "|de|Einbauort";
	CLASS	CONTAINED;
	TYPE	ASCII (10)
		{
			DEFAULT_VALUE "";
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE ObererGrenzwert
{
	LABEL 	"Hi Limit";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			DEFAULT_VALUE  100.0;
			
        }
	HANDLING	READ;
}

VARIABLE UntererGrenzwert
{
	LABEL 	"Lo Limit";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			DEFAULT_VALUE  -1.0;
			
        }
	HANDLING	READ;
}

VARIABLE VendorName
{
	LABEL 	"Vendor Name""|de|Geraetehersteller";
	CLASS	CONTAINED;
	TYPE	ASCII (16)
		{
			DEFAULT_VALUE "Hach-Lange";
		}
	HANDLING	READ;
}

VARIABLE ModelName
{
	LABEL 	"Model name" "|de|Gertetyp";
	CLASS	CONTAINED;
	TYPE	ASCII (32)
		{
			DEFAULT_VALUE "SC device";
		}
	HANDLING	READ;
}

VARIABLE ModelNummer
{
	LABEL 	"Model Number""|de|Seriennummer";
	CLASS	CONTAINED;
	TYPE	ASCII (32)
		{
			DEFAULT_VALUE "123456789";
		}
	HANDLING	READ;
}

VARIABLE func1_AI_out_upper_range_value
{
	LABEL 		[func_upper_value];
	HELP		[func_out_scale_upper_value_help];
	CLASS		CONTAINED;
	TYPE        FLOAT
	{
		DEFAULT_VALUE 140.0;
	}
	HANDLING	READ;
}

VARIABLE func1_AI_out_lower_range_value
{
	LABEL 		[func_lower_value];
	HELP		[func_out_scale_lower_value_help];
	CLASS		CONTAINED;
	TYPE        FLOAT
	{
		DEFAULT_VALUE -50.0;
	}
	HANDLING	READ & WRITE;
}

VARIABLE func1_AI_out_unit
{
	LABEL 		"Masseinheit";
	HELP		[digital_units_help];
	CLASS		CONTAINED;
	TYPE	ASCII (16)
		{
			DEFAULT_VALUE "  ";
		}
	HANDLING	READ;

}

VARIABLE func1_AI_out_decimal_point
{
	LABEL		[decimal_point];
	HELP		[decimal_point_help];
	CLASS		CONTAINED;
	TYPE		INTEGER (1)
	{
		DEFAULT_VALUE	2;
		{	0,   "0"		},
		{	1,   "1"		},
		{	2,   "2"		},
		{	3,   "3"		},
		{	4,   "4"		},
		{	5,   "5"		},
		{	6,   "6"		},
		{	7,   "7"		}
	}
	HANDLING	READ;
}


UNIT Select_unit
{
	Unit:
	Measurement,
//	func1_AI_hi_hi_lim,
//	func1_AI_lo_lo_lim
}

VARIABLE func1_AI_hi_hi_lim
{
	LABEL		"ObererGrenzwert";
	CLASS		CONTAINED;
	TYPE        FLOAT
	{
		DEFAULT_VALUE	100.0 ;
		MIN_VALUE		-50.0 ;
		MAX_VALUE		750.0 ;
	}
	HANDLING	READ;
}

VARIABLE func1_AI_lo_lo_lim
{
	LABEL		"UntererGrenzwert";
	CLASS		CONTAINED;
	TYPE        FLOAT
	{
		DEFAULT_VALUE	  0.0 ;
		MIN_VALUE		-50.0 ;
		MAX_VALUE		750.0 ;
	}
	HANDLING	READ;
}

/************************************************************************/
/*		COMMANDS														*/
/************************************************************************/




COMMAND read_VendorName
{
	SLOT 0;
	INDEX 100;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            VendorName
        }
    }
}

COMMAND read_ModelName
{
	SLOT 0;
	INDEX 101;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            ModelName
        }
    }
}

COMMAND read_ModelNummer
{
	SLOT 0;
	INDEX 102;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            ModelNummer
        }
    }
}

COMMAND read_Measurement
{
	SLOT 1;
	INDEX 2;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            Measurement
        }
    }
}

COMMAND read_Serial1_1
{
	SLOT 10;
	INDEX 0;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            Serial1_1
        }
    }
}




COMMAND read_Unit
{
	SLOT 1;
	INDEX 0;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            Unit
        }
    }
}

COMMAND write_Unit
{
	SLOT 21;
	INDEX 12;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              Unit
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_Parameter
{
	SLOT 21;
	INDEX 11;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            Parameter
        }
    }
}


COMMAND read_Status
{
	SLOT 1;
	INDEX 1;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            Status
        }
    }
}



COMMAND read_Errorclasses
{
	SLOT 1;
	INDEX 0;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            Errorclasses
        }
    }
}



/************************************************************************/
/*  Upload from device to PC              Daten lesen vom Gert zum PC	*/
/************************************************************************/

MENU download_variables
{
	LABEL	[menu_load_to_PC];
	ITEMS
	{ 
		VendorName,
//		Profile,
		ModelName,
		ModelNummer,
		Measurement,
		Serial1_1,
		Unit,
		Parameter,
		Status,
		Errorclasses,
		Serial1_2,
		Serial1_3,
		DeviceID1,
		ManufactID1,
		Error1,
		Status1,
		
		
	}
} 


/************************************************************************/
/*  Write from PC to device        Datenschreiben vom PC zum Gert	*/
/************************************************************************/

MENU upload_variables
{
	LABEL	[menu_load_to_device];
	ITEMS
	{
		Correction,
		Integration,
		SampleLocation,
		CleaningInterval,
		Unit,
		Wiperstatus,
		Parameter
	}
}

/************************************************************************/
/*	  Table: Specialist													*/
/************************************************************************/

MENU Table_Main_Specialist
{
	LABEL	DEVICE_TITLE ;

	ITEMS
	{
		Tab_s_preferences,
		Tab_s_settings,
		Tab_s_diag,
		Tab_s_output
	}
}

/************************************************************************/
/*	  Main Menus														*/
/************************************************************************/

/************************************************************************/
/*	  Menu: Bar															*/
/************************************************************************/

MENU Menu_Main_Specialist
{
    LABEL		[main_menu];
    ITEMS
    {
        Menu_File,
        Menu_S_Device,
        Menu_S_View,
        Menu_S_Options,
        Menu_Help
    }
}

/************************************************************************/
/*	  Menu: Device														*/
/************************************************************************/

MENU Menu_S_Device
{
    LABEL		[menu_Device];
    ITEMS
    {
        std_LoadinDevice,
        std_LoadinPC,
        SEPARATOR,
	OnlineWindow_range_preferences,
	OnlineWindow_clean_calib
    }
}

/************************************************************************/
/*	  Menu: View														*/
/************************************************************************/

MENU Menu_S_View
{
    LABEL		[menu_View];
    ITEMS
    {
        OnlineWindow_display,
	OnlineWindow_actual_mode
    }
}

/************************************************************************/
/*	  Online-Windows													*/
/************************************************************************/

MENU OnlineWindow_range_preferences
{
    LABEL	"Settings" "|de|Einstelldaten";
    ITEMS
    {
		Page_range_preferences
    }
}

MENU Page_range_preferences
{
    LABEL	"Settings" "|de|Voreinstellungen" ;
    ITEMS
    	{
		SampleLocation,
		CleaningInterval,
		Correction,
		Integration,
		Unit,
		Parameter
	}
}

MENU OnlineWindow_clean_calib
{
    LABEL	"Cleaning"  	"|de|Reinigen";
    ITEMS
    {
		Page_clean_calib 
    }
}

MENU Page_clean_calib
{
    LABEL	"Service"	"|de|Funktionen";
    ITEMS
    	{
	Wiperstatus,
//	Error
	}
}


MENU Tab_s_preferences
{
    LABEL	"Overview"  "|de|Allgemein";
    ITEMS
    {
		VendorName,
		ModelName,
		ModelNummer,
		Serial1_1,
		Serial1_2,
		Serial1_3,
		DeviceID1,
		ManufactID1,
		Length1,
		Error1,
		Status1


    }
}

MENU Tab_s_output
{
	LABEL		[menu_output];
	ITEMS
	{
		Measurement		

	}
}

MENU Tab_s_diag
{
	LABEL	"Diagnostics" "|de|Diagnose";
	ITEMS
	{
		Status,
		Error,
		Errorclasses,
		Motorcycles,
		Wiperprofile
	}
}

MENU Tab_s_settings
{
	LABEL	"Settings" "|de|Einstelldaten";
	ITEMS
	{
		Unit,
		Correction,
		Integration,
		CleaningInterval,
		Wiperstatus,
		Parameter
		
	}
}


/************************************************************************/
/*	  Table: Maintenance												*/
/************************************************************************/

MENU Table_Main_Maintenance
{
	LABEL	DEVICE_TITLE ;

	ITEMS
	{
		Tab_m_preferences,
		Tab_m_output,
		Tab_m_settings,
		Tab_m_diag
	}
}

/************************************************************************/
/*	  Main Menus														*/
/************************************************************************/

/************************************************************************/
/*	  Menu: Bar															*/
/************************************************************************/

MENU Menu_Main_Maintenance
{
    LABEL		[main_menu];
    ITEMS
    {
        Menu_File,
        Menu_M_Device,
        Menu_M_View,
        //Menu_M_Options,
        Menu_Help
    }
}

/************************************************************************/
/*	  Menu: Device														*/
/************************************************************************/

MENU Menu_M_Device
{
    LABEL		[menu_Device];
    ITEMS
    {
        std_LoadinDevice,
        std_LoadinPC
    }
}

/************************************************************************/
/*	  Menu: View														*/
/************************************************************************/

MENU Menu_M_View
{
    LABEL		[menu_View];
    ITEMS
    {
        OnlineWindow_display,
	OnlineWindow_actual_mode
    }
}

/************************************************************************/
/*	  Online-Windows													*/
/************************************************************************/

MENU Tab_m_preferences
{
    LABEL	"Overview" "|de|Allgemein";
    ITEMS
    {
		VendorName,
		ModelName,
		ModelNummer,
		SampleLocation
		

    }
}

MENU Tab_m_output
{
	LABEL	"Measurement" "|de|Messwert";
	ITEMS
	{
		Measurement,
		Parameter,
		Status
	}
}

MENU Tab_m_diag
{
	LABEL	"Diagnostics" "|de|Diagnose";
	ITEMS
	{
		Error,
		Status,
		Parameter,
		Wiperprofile,
		Motorcycles
	}
}


MENU Tab_m_settings
{
	LABEL	"Settings" "|de|Einstellungen";
	ITEMS
	{
		Unit,
		Correction,
		Integration,
		CleaningInterval,
		Wiperstatus
	
	}
}

MENU OnlineWindow_actual_mode
{
	LABEL	"Current mode" "|de|Aktuell";
	ITEMS
	{
		Measurement	(READ_ONLY)


	}
}

MENU OnlineWindow_display
{
	LABEL		[menu_dialog_display];
	ITEMS
	{
		Page_display_func1
	}
}

MENU Page_display_func1
{
	LABEL   "Measured Value" "|de|Messwertanzeige" ;
	ITEMS
	{
		BarVal_out_display_func1
	}
}


MENU BarVal_out_display_func1
{
	LABEL		[func_out_value];
	HELP		[func_ai_out_value_help];
	ITEMS
	{
		Measurement				(READ_ONLY),
		func1_AI_out_lower_range_value		(READ_ONLY),
		func1_AI_out_upper_range_value		(READ_ONLY)
	}
}

