/*-----------------------------------------------------------------*/
/*	Copyright (C)	Hach-Lange (2005). All Rights Reserved.	   */
/*	Product:		SIMATIC PDM  			   */
/*	Device:			SC1000 V1       		   */
/*	Description:		Device Description	           */
/*	Dictionary:		SIPADC01.dct			   */
/*  	$Revision:		0.1  $				   */
/*  	$Date:			21.Nov 2005			   */
/*	File:			p2_pH_ORP.inc			   */
/*	Author:			T.Thiel Hach-Lange	           */
/*-----------------------------------------------------------------*/


/************************************************************************/
/*		Variables						*/
/************************************************************************/



VARIABLE p2_Measurement1
{
	LABEL 	"pH Value" 	"|de|Messwert pH";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"pH";
}

VARIABLE p2_Measurement2
{
	LABEL 	"ORP Value" 	"|de|Messwert ORP";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"mV";
}

VARIABLE p2_Measurement3
{
	LABEL 	"Temperature Value" 	"|de|Temperatur";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
//	CONSTANT_UNIT 	"C ";
}

VARIABLE p2_Diag1
{
	LABEL 	"Offset ph" 	"|de|Offset ph";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"pH";
}

VARIABLE p2_Diag2
{
	LABEL 	"Slope ph" 	"|de|Steilheit ph";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"%";
}

VARIABLE p2_Diag3
{
	LABEL 	"Offset ORP" 	"|de|Offset ORP";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"mV";
}

VARIABLE p2_Diag4
{
	LABEL 	"Slope ORP" 	"|de|Steilheit ORP";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"%";
}

VARIABLE p2_Diag5
{
	LABEL 	"" 	"|de|";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"";
}


VARIABLE p2_Diag6
{
	LABEL 	"Software version" 	"|de|Softwareversion";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
}

VARIABLE p2_ManTemp
{
	LABEL 	"Temp value manual"	"|de|Temperatur man. Kompensation";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
	
			
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE p2_DaysCal
{
	LABEL 	"Days since Calibration" 	"|de|Tage seit Kalibrierung";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
	
						
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE p2_DaysRun
{
	LABEL 	"Days since Start up" 	"|de|Tage in Betrieb";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
	
						
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE p2_Mode
{
	LABEL 	"Measuring Mode" 			"|de|Betriebsart";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
			DEFAULT_VALUE 0;
			{0,			"pH"	},
			{1,			"ORP"	}		
						
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

UNIT Select_unit		// dynymic unit relation
{
	p2_UnitConc:
	p2_Measurement1,

}

VARIABLE p2_UnitTemp
{
	LABEL 	"Temperature Unit"			"|de|Einheit Temperatur";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
			DEFAULT_VALUE 25;
			
			{25,			"C"   	},
			{26,			"F"     }
			
						
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

UNIT Select_unit_T		// dynymic unit relation
{
	p2_UnitTemp:
	p2_Measurement3,
	p2_ManTemp

}

VARIABLE p2_TempKomp
{
	LABEL 	"temperature compensation" 	"|de|Temperaturkompensation";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			{0,		"automatic" 		"|de|automatisch" 	},
			{1,		"manual" 	        "|de|manuell"		}
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE p2_CorrectionSlope
{
	LABEL 	"Correction Slpope"	"|de|Korrekturfaktor Steilheit";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
		MIN_VALUE		0.5 ;
		MAX_VALUE		1.5 ;		
			
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE p2_Correction
{
	LABEL 	"Calib Value"		"|de|Kalibrierwert";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
		MIN_VALUE		 0.0 ;
		MAX_VALUE		 20.0 ;	
			
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE p2_Offset
{
	LABEL 	"Offset "		"|de|Offset";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
		MIN_VALUE		-5.0 ;
		MAX_VALUE		 5.0 ;		
			
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE p2_Integration
{
	LABEL 	"Integration"	"|de|Integration in Sekunden";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
        {
	
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}


VARIABLE p2_SampleLocation
{
	LABEL 	"Probe Location" "|de|Einbauort";
	CLASS	CONTAINED;
	TYPE	ASCII (12)
		{
			DEFAULT_VALUE "";
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}


/************************************************************************/
/*		COMMANDS														*/
/************************************************************************/


COMMAND read_p2_Measurement1
{
	SLOT 22;
	INDEX 0;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            p2_Measurement1
        }
    }
}

COMMAND read_p2_Measurement2
{
	SLOT 22;
	INDEX 2;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            p2_Measurement2
        }
    }
}

COMMAND read_p2_Measurement3
{
	SLOT 22;
	INDEX 4;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            p2_Measurement3
        }
    }
}

COMMAND read_p2_Diag1
{
	SLOT 22;
	INDEX 74;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            p2_Diag1
        }
    }
}

COMMAND read_p2_Diag2
{
	SLOT 22;
	INDEX 76;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            p2_Diag2
        }
    }
}

COMMAND read_p2_Diag3
{
	SLOT 22;
	INDEX 78;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            p2_Diag3
        }
    }
}

COMMAND read_p2_Diag4
{
	SLOT 22;
	INDEX 80;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            p2_Diag4
        }
    }
}


COMMAND read_p2_Diag6
{
	SLOT 22;
	INDEX 64;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            p2_Diag6
        }
    }
}

COMMAND read_p2_DaysCal
{
	SLOT 22;
	INDEX 83;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            p2_DaysRun,
            p2_DaysCal
        }
    }
}


COMMAND read_p2_ManTemp
{
	SLOT 22;
	INDEX 35;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            p2_ManTemp
        }
    }
}


COMMAND read_p2_TempKomp
{
	SLOT 22;
	INDEX 33;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            p2_TempKomp
        }
    }
}

COMMAND write_p2_TempKomp
{
	SLOT 22;
	INDEX 33;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              p2_TempKomp
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_p2_Mode
{
	SLOT 22;
	INDEX 26;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            p2_Mode
        }
    }
}

COMMAND write_p2_Mode
{
	SLOT 22;
	INDEX 26;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              p2_Mode
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_p2_UnitTemp
{
	SLOT 22;
	INDEX 27;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            p2_UnitTemp
        }
    }
}

COMMAND write_p2_UnitTemp
{
	SLOT 22;
	INDEX 27;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              p2_UnitTemp
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_p2_Integration
{
	SLOT 22;
	INDEX 32;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            p2_Integration
        }
    }
}

COMMAND write_p2_Integration
{
	SLOT 22;
	INDEX 32;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              p2_Integration
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_p2_SampleLocation
{
	SLOT 22;
	INDEX 14;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            p2_SampleLocation
        }
    }
}

COMMAND write_p2_SampleLocation
{
	SLOT 22;
	INDEX 14;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              p2_SampleLocation
        }
        REPLY
        {
            
        }
    }
}


