/*-----------------------------------------------------------------*/
/*	Copyright (C)	Hach-Lange (2005). All Rights Reserved.	   */
/*	Product:		SIMATIC PDM  			   */
/*	Device:			SC1000 DPV1       		   */
/*	Description:		Device Description	           */
/*	Dictionary:		SIPADC01.dct			   */
/*  	$Revision:		0.1  $				   */
/*  	$Date:			July 2006			   */
/*	File:			SC1000_pH_Phosphax.ddl		   */
/*	Author:			T.Thiel Hach-Lange	           */
/*-----------------------------------------------------------------*/

MANUFACTURER		 	213,
DEVICE_TYPE			1,
DEVICE_REVISION  		1,
DD_REVISION			1


#define DEVICE_TITLE			"SC1000 pH & Phosphax SC"

#include	"p1_pH_ORP.inc"		//pH ORP erstes Geraet
#include	"P2_SC1000Phosphax.inc"	//Phosphax_SC zweites Geraet

/************************************************************************/
/*		Variablen						*/
/************************************************************************/

VARIABLE VendorName
{
	LABEL 	"Vendor Name""|de|Geraetehersteller";
	CLASS	CONTAINED;
	TYPE	ASCII (16)
		{
			DEFAULT_VALUE "Hach-Lange";
		}
	HANDLING	READ;
}

VARIABLE ModelName
{
	LABEL 	"Fieldbus type" "|de|Profibustyp";
	CLASS	CONTAINED;
	TYPE	ASCII (32)
		{
			DEFAULT_VALUE "SC device";
		}
	HANDLING	READ;
}

VARIABLE ModelNummer
{
	LABEL 	"Model Number""|de|Profibusversion";
	CLASS	CONTAINED;
	TYPE	ASCII (32)
		{
			DEFAULT_VALUE "";
		}
	HANDLING	READ;
}

VARIABLE Serial1_1
{
	LABEL 	"Serial No 1" 	"|de|Seriennummer 1";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	"x";
}

VARIABLE Serial1_2
{
	LABEL 	"Serial No 2" 	"|de|Seriennummer 2";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	"x";
}

VARIABLE Serial1_3
{
	LABEL 	"Serial No 3" 	"|de|Seriennummer 3";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	"x";
}

VARIABLE DeviceID1
{
	LABEL 	"Device ID" 	"|de|Geraetekennung";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			{11,			"pH ORP"		},		
			{12,			"LDO"			},
			{101,			"ULTRATURB SC"		},
			{102,			"Nitratax eco"  	},
			{103,			"Nitratax plus"		},
			{104,			"Solitax SC"    	},
			{105,			"Nitratax clear"	},
			{106,			"UVAS plus"     	},
			{107,			"S::CAN CARBO::LYZER"	},
			{108,			"S::CAN NITRO::LYZER"   },
			{109,			"Phosphax SC"     	},
			{110,			"Amtax SC"     	 	},
			{114,			"Phosphax SC"      	},
					
								
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE ManufactID1
{
	LABEL 	"Manufacturer ID" 	"|de|Herstellerkennung";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE Length1
{
	LABEL 	"Length Member table" 	"|de|Lnge Teilnehmertabelle";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE Status1
{
	LABEL 	"Status ";
	CLASS	DYNAMIC;
	TYPE	BIT_ENUMERATED (2)
	{
		
		{0,   	"OK"						"|de|OK"	 		 },
		{1,   	"Calibration start / in progress"		"|de|Kalibrierung aktiv"	 },
		{2,   	"Cleaning start / in progress"			"|de|Reinigungszyklus aktiv"	 },
		{4,   	"Enter(d) Service/Maintenance menu"		"|de|Betriebsart Service"	 },
		{8,   	"Common Error"					"|de|Sammelstrung"		 },
		{16,   	"Measurement 0 Quality Bad"			"|de|Messung 0 Qualittsfehler"	 },
		{32,   	"Measurement 0 low limit"			"|de|Messung 0 unterer Grenzwert"},
		{64,    "Measurement 0 high limit"			"|de|Messung 0 oberer Grenzwert" },
		{128,   "Measurement 1 Quality Bad"			"|de|Messung 1 Qualittsfehler"	 },
		{256,   "Measurement 1 low limit"			"|de|Messung 1 unterer Grenzwert"},
		{512,   "Measurement 1 high limit"			"|de|Messung 1 oberer Grenzwert" },
		{1024,  "Measurement 2 Quality Bad"			"|de|Messung 2 Qualittsfehler"	 },
		{2048,  "Measurement 2 low limit"			"|de|Messung 2 unterer Grenzwert"},	
		{4096,  "Measurement 2 high limit"			"|de|Messung 2 oberer Grenzwert" },
		{8192,  "Measurement 3 Quality Bad"			"|de|Messung 3 Qualittsfehler"	 },
		{16384, "Measurement 3 low limit"			"|de|Messung 3 unterer Grenzwert"},
		{32768, "Measurement 3 high limit"			"|de|Messung 3 oberer Grenzwert" }
					
	}	
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE Serial2_1
{
	LABEL 	"Serial No 1" 	"|de|Seriennummer 1";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	"x";
}

VARIABLE Serial2_2
{
	LABEL 	"Serial No 2" 	"|de|Seriennummer 2";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	"x";
}

VARIABLE Serial2_3
{
	LABEL 	"Serial No 3" 	"|de|Seriennummer 3";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	"x";
}

VARIABLE DeviceID2
{
	LABEL 	"Device ID" 	"|de|Geraetekennung";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			{11,			"pH ORP"		},		
			{12,			"LDO"			},
			{101,			"ULTRATURB SC"		},
			{102,			"Nitratax eco"  	},
			{103,			"Nitratax plus"		},
			{104,			"Solitax SC"    	},
			{105,			"Nitratax clear"	},
			{106,			"UVAS plus"     	},
			{107,			"S::CAN CARBO::LYZER"	},
			{108,			"S::CAN NITRO::LYZER"   },
			{109,			"Phosphax SC"     	},
			{110,			"Amtax SC"     	 	},
			{114,			"Phosphax SC"      	},
					
								
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE ManufactID2
{
	LABEL 	"Manufacturer ID" 	"|de|Herstellerkennung";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE Length2
{
	LABEL 	"Length Member table" 	"|de|Lnge Teilnehmertabelle";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE Status2
{
	LABEL 	"Status ";
	CLASS	DYNAMIC;
	TYPE	BIT_ENUMERATED (2)
	{
		
		{0,   	"OK"						"|de|OK"	 		 },
		{1,   	"Calibration start / in progress"		"|de|Kalibrierung aktiv"	 },
		{2,   	"Cleaning start / in progress"			"|de|Reinigungszyklus aktiv"	 },
		{4,   	"Enter(d) Service/Maintenance menu"		"|de|Betriebsart Service"	 },
		{8,   	"Common Error"					"|de|Sammelstrung"		 },
		{16,   	"Measurement 0 Quality Bad"			"|de|Messung 0 Qualittsfehler"	 },
		{32,   	"Measurement 0 low limit"			"|de|Messung 0 unterer Grenzwert"},
		{64,    "Measurement 0 high limit"			"|de|Messung 0 oberer Grenzwert" },
		{128,   "Measurement 1 Quality Bad"			"|de|Messung 1 Qualittsfehler"	 },
		{256,   "Measurement 1 low limit"			"|de|Messung 1 unterer Grenzwert"},
		{512,   "Measurement 1 high limit"			"|de|Messung 1 oberer Grenzwert" },
		{1024,  "Measurement 2 Quality Bad"			"|de|Messung 2 Qualittsfehler"	 },
		{2048,  "Measurement 2 low limit"			"|de|Messung 2 unterer Grenzwert"},	
		{4096,  "Measurement 2 high limit"			"|de|Messung 2 oberer Grenzwert" },
		{8192,  "Measurement 3 Quality Bad"			"|de|Messung 3 Qualittsfehler"	 },
		{16384, "Measurement 3 low limit"			"|de|Messung 3 unterer Grenzwert"},
		{32768, "Measurement 3 high limit"			"|de|Messung 3 oberer Grenzwert" }
					
	}	
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE Error2
{
	LABEL	"Error Classes Member "		"|de|Fehlermeldung";
	CLASS	CONTAINED;
	TYPE	BIT_ENUMERATED (2)
	{
			{0,   	"No Error"				"|de|Kein Fehler"			},
			{1,   	"Measurement calibration Error"		"|de|Kalibrierfehler"			},
			{2,   	"Electronic adjustment Error"		"|de|Elektronik / Einstellfehler"	},
			{4,   	"Cleaning Error"			"|de|Reinigungsfehler"			},
			{8,   	"Measuring module Error"		"|de|Messmodulfehler"			},
			{16,   	"Settings Error"			"|de|Fehler Einstellungen"		},
			{32,   	"Hardware Error"			"|de|Hardwarefehler"			},
			{64,    "Internal communication Error"		"|de|Interner Kommunikationsfehler"	},
			{128,   "Humidity Error"			"|de|Feuchtigkeit erkannt"		},
			{256,   "Temperatur Error"			"|de|Temperaturfehler"			},
			{512,   ""										},
			{1024,  ""										},
			{2048,  ""										},	
			{4096,  "Questionable measurement Warning"	"|de|Warnung Messwert unsicher"		},
			{8192,  "Safety Warning"			"|de|Warnung Sicherheitseinrichtung"	},
			{16384, "Reagent Warning"			"|de|Warnung Reagenz"			},
			{32768, "Maintenance Warning"			"|de|Warnung Instandhaltung"		}
					
	}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}




VARIABLE MemberTable
{
	LABEL 	"Member Table"		"|de|Teilnehmertabelle";
	CLASS	INPUT & OUTPUT;
	TYPE	INTEGER (32)
        {
	
        }
	HANDLING	READ & WRITE;
}

VARIABLE Error1
{
	LABEL	"Error Classes Member "		"|de|Fehlermeldung";
	CLASS	CONTAINED;
	TYPE	BIT_ENUMERATED (2)
	{
			{0,   	"No Error"				"|de|Kein Fehler"			},
			{1,   	"Measurement calibration Error"		"|de|Kalibrierfehler"			},
			{2,   	"Electronic adjustment Error"		"|de|Elektronik / Einstellfehler"	},
			{4,   	"Cleaning Error"			"|de|Reinigungsfehler"			},
			{8,   	"Measuring module Error"		"|de|Messmodulfehler"			},
			{16,   	"Settings Error"			"|de|Fehler Einstellungen"		},
			{32,   	"Hardware Error"			"|de|Hardwarefehler"			},
			{64,    "Internal communication Error"		"|de|Interner Kommunikationsfehler"	},
			{128,   "Humidity Error"			"|de|Feuchtigkeit erkannt"		},
			{256,   "Temperatur Error"			"|de|Temperaturfehler"			},
			{512,   ""										},
			{1024,  ""										},
			{2048,  ""										},	
			{4096,  "Questionable measurement Warning"	"|de|Warnung Messwert unsicher"		},
			{8192,  "Safety Warning"			"|de|Warnung Sicherheitseinrichtung"	},
			{16384, "Reagent Warning"			"|de|Warnung Reagenz"			},
			{32768, "Maintenance Warning"			"|de|Warnung Instandhaltung"		}
					
	}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

VARIABLE Profile
{
	LABEL 	"Modbus Profile"	"|de|Modbus Profile";
	CLASS	INPUT & OUTPUT;
	TYPE	INTEGER (42)
        {
	
        }
	HANDLING	READ & WRITE;
}


VARIABLE Errorclasses
{
	LABEL	"Error Classes"		"|de|Fehlerklassen";
	CLASS	CONTAINED;
	TYPE	BIT_ENUMERATED (2)
	{
			{0,   	"No Error"				"|de|Kein Fehler"			},
			{1,   	"Measurement calibration Error"		"|de|Kalibrierfehler"			},
			{2,   	"Electronic adjustment Error"		"|de|Elektronik / Einstellfehler"	},
			{4,   	"Cleaning Error"			"|de|Reinigungsfehler"			},
			{8,   	"Measuring module Error"		"|de|Messmodulfehler"			},
			{16,   	"Settings Error"			"|de|Fehler Einstellungen"		},
			{32,   	"Hardware Error"			"|de|Hardwarefehler"			},
			{64,    "Internal communication Error"		"|de|Interner Kommunikationsfehler"	},
			{128,   "Humidity Error"			"|de|Feuchtigkeit erkannt"		},
			{256,   "Temperatur Error"			"|de|Temperaturfehler"			},
			{512,   ""										},
			{1024,  ""										},
			{2048,  ""										},	
			{4096,  "Questionable measurement Warning"	"|de|Warnung Messwert unsicher"		},
			{8192,  "Safety Warning"			"|de|Warnung Sicherheitseinrichtung"	},
			{16384, "Reagent Warning"			"|de|Warnung Reagenz"			},
			{32768, "Maintenance Warning"			"|de|Warnung Instandhaltung"		}
					
	}
	HANDLING	READ;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}




VARIABLE Channel_1
{
	LABEL 	"Channel 1";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
}

VARIABLE Channel_2
{
	LABEL 	"Channel 2";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
}




UNIT Select_P2_Unit1
{
	P2_Unit1:
	P2_Measurement1

}

UNIT Select_P2_Unit2
{
	P2_Unit2:
	P2_Measurement2

}

/************************************************************************/
/*		COMMANDS														*/
/************************************************************************/




COMMAND read_VendorName
{
	SLOT 0;
	INDEX 100;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            VendorName
        }
    }
}

COMMAND read_ModelName
{
	SLOT 0;
	INDEX 101;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            ModelName
        }
    }
}

COMMAND read_ModelNummer
{
	SLOT 0;
	INDEX 102;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            ModelNummer
        }
    }
}


COMMAND read_MemberTable
{
	SLOT 10;
	INDEX 0;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            Serial1_1,
            Serial1_2,
            Serial1_3,
            DeviceID1,
            ManufactID1,
            Length1,
            Error1,
            Status1,
            Serial2_1,
	    Serial2_2,
	    Serial2_3,
	    DeviceID2,
	    ManufactID2,
	    Length2,
	    Error2,
            Status2
        }
    }
}


COMMAND read_Profile
{
	SLOT 21;
	INDEX 0;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            Parameter,
            Unit,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            0,
            Wiperstatus
        }
    }
}


COMMAND read_Errorclasses
{
	SLOT 1;
	INDEX 0;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            Errorclasses
        }
    }
}


 


/************************************************************************/
/*  Upload from device to PC              Daten lesen vom Gert zum PC	*/
/************************************************************************/

MENU download_variables
{
	LABEL	[menu_load_to_PC];
	ITEMS
	{ 
// Device related
		VendorName,
		ModelName,
		ModelNummer,
// first device
		Serial1_1,
		Serial1_2,
		Serial1_3,
		DeviceID1,
		ManufactID1,
		Error1,
		Status1,
		p1_Measurement1,
		p1_Measurement2,
		p1_Measurement3,
		p1_Diag1,
		p1_Diag2,
		p1_Diag3,
		p1_Diag4,
		p1_Diag6,
		p1_Mode,
		p1_TempKomp,
		p1_ManTemp,
		p1_UnitTemp,
		p1_DaysCal,
		p1_DaysRun,
		p1_Integration,
		p1_SampleLocation,
		p1_Mode,
// second device
		P2_Measurement1,
		P2_Measurement2,
		P2_Diag1,
		P2_Diag2,
		P2_Diag3,
		P2_Unit1,
		P2_Unit2,
		P2_Range,
		P2_CleaningInterv,
		P2_CalibStart,
		P2_MeasInterv,
		P2_CleaningStart,
		P2_Parameter1,
		P2_Parameter2,
		P2_Correction1,
		P2_Correction2,
		P2_Process,
		P2_HeaterON,
		P2_HeaterOFF,
		P2_SampleLocation1,
		P2_Cooling,
		P2_Heater,
		P2_HumidityD,
		P2_HumidityF,
		P2_Filter,
		P2_Option,
		P2_Chem1,
		P2_Chem2,
		P2_Attendet,
		Serial2_1,
		Serial2_2,
		Serial2_3,
		Error2,
		Status2,
		DeviceID2,
		Length2,
                Error2,
	}
} 


/************************************************************************/
/*  Write from PC to device        Datenschreiben vom PC zum Gert	*/
/************************************************************************/

MENU upload_variables
{
	LABEL	[menu_load_to_device];
	ITEMS
	{
// first device
		p1_SampleLocation,
		p1_Mode,
		p1_ManTemp,
		p1_UnitTemp,
		p1_Integration
// second device
		P2_SampleLocation1,
		P2_CleaningInterv,
		P2_CalibStart,
		P2_MeasInterv,
		P2_CleaningStart,
		P2_Parameter1,
		P2_Parameter2,
		P2_Correction1,
		P2_Correction2,
		P2_Unit1,
		P2_Unit2,
		P2_HeaterON,
		P2_HeaterOFF,
		P2_Option
				
	}
}

/************************************************************************/
/*	  Table: Specialist													*/
/************************************************************************/

MENU Table_Main_Specialist
{
	LABEL	DEVICE_TITLE ;

	ITEMS
	{
		Tab_s_preferences,
		Tab_s_preferencesM1,
		Tab_s_preferencesM2,
		Tab_s_diag_1,
		Tab_s_settings_1,
		Tab_s_output_1,
		Tab_s_diag_2,
		Tab_s_settings_2,
		Tab_s_output_2
	}
}

/************************************************************************/
/*	  Main Menus														*/
/************************************************************************/

/************************************************************************/
/*	  Menu: Bar															*/
/************************************************************************/

MENU Menu_Main_Specialist
{
    LABEL		[main_menu];
    ITEMS
    {
        Menu_File,
        Menu_S_Device,
        Menu_S_View,
        Menu_S_Options,
        Menu_Help
    }
}

/************************************************************************/
/*	  Menu: Device														*/
/************************************************************************/

MENU Menu_S_Device
{
    LABEL		[menu_Device];
    ITEMS
    {
        std_LoadinDevice,
        std_LoadinPC,
        SEPARATOR,
	OnlineWindow_range_preferences,
	OnlineWindow_clean_calib
    }
}

/************************************************************************/
/*	  Menu: View														*/
/************************************************************************/

MENU Menu_S_View
{
    LABEL		[menu_View];
    ITEMS
    {
        OnlineWindow_display,
        OnlineWindow_display_1
//	OnlineWindow_actual_mode
    }
}

/************************************************************************/
/*	  Online-Windows													*/
/************************************************************************/

MENU OnlineWindow_range_preferences
{
    LABEL	"Settings" "|de|Einstelldaten";
    ITEMS
    {
		Page_range_preferences_1
		Page_range_preferences_2
    }
}

MENU Page_range_preferences_2
{
    LABEL	"Settings" "|de|Voreinstellungen Phosphax" ;
    ITEMS
    	{
		P2_SampleLocation1,
		P2_MeasInterv,
		P2_CleaningInterv,
		P2_CleaningStart,
		P2_Parameter1,
		P2_Parameter2,
		P2_Correction1,
		P2_Correction2,
		P2_Unit1,
		P2_Unit2
		
	
	}
}

MENU Page_range_preferences_1
{
    LABEL	"Settings" "|de|Voreinstellungen pH ORP" ;
    ITEMS
    	{
		p1_SampleLocation,
		p1_TempKomp,
		p1_ManTemp,
		p1_UnitTemp,
		p1_Mode,
		p1_Integration
	}
}

MENU OnlineWindow_clean_calib
{
    LABEL	"Clean "  	"|de|Reinigen Phosphax";
    ITEMS
    {
		Page_clean_calib 
    }
}

MENU Page_clean_calib
{
    LABEL	"Service"	"|de|Bedienanforderungen";
    ITEMS
    	{
	P2_BusCleanEmidiate,
	P2_BusEnable
	}
}


MENU Tab_s_preferences
{
    LABEL	"SC1000 Overview"  "|de|SC1000 Allgemein";
    ITEMS
    {
		VendorName,
		ModelName,
		ModelNummer,
				

    }
}

MENU Tab_s_preferencesM1
{
    LABEL	"Overview 1st device "  "|de|SC1000 erstes Gert";
    ITEMS
    {
		DeviceID1,
		Serial1_1,
		Serial1_2,
		Serial1_3,
		p1_SampleLocation
			

    }
}

MENU Tab_s_preferencesM2
{
    LABEL	"Overview 2nd device "  "|de|SC1000 zweites Gert";
    ITEMS
    {
		DeviceID2,
		Serial2_1,
		Serial2_2,
		Serial2_3,
		P2_SampleLocation1
			

    }
}

MENU Tab_s_output_1
{
	LABEL	"Measured Values pH probe" "|de|Messwerte pH Sensor";
	ITEMS
	{
		p1_Measurement1,
		p1_Measurement2,
		p1_Measurement3
		
	}
}

MENU Tab_s_output_2
{
	LABEL	"Measured Values Phosphax" "|de|Messwerte Phosphax";
	ITEMS
	{
		P2_Measurement1,
		P2_Measurement2
		
	}
}

MENU Tab_s_diag_1
{
	LABEL	"Diagnostics pH" "|de|Diagnose pH Sonde";
	ITEMS
	{
		Status1,
		Error1,
		p1_Diag1,
		p1_Diag2,
		p1_Diag3,
		p1_Diag4,
		p1_Diag6,
		p1_DaysCal,
		p1_DaysRun
	}
}

MENU Tab_s_diag_2
{
	LABEL	"Diagnostics Phosphax" "|de|Diagnose Phosphax";
	ITEMS
	{
		Status1,
		Error1,
		P2_Diag1,
		P2_Diag2,
		P2_Heater,
		P2_Cooling,
		P2_Filter,
		P2_HumidityD,
		P2_HumidityF,
		P2_Chem1,
		P2_Chem2,
		P2_Attendet,
		P2_Process
		
	}
}

MENU Tab_s_settings_1
{
	LABEL	"Settings pH" "|de|Einstelldaten pH Sonde";
	ITEMS
	{
		p1_SampleLocation,
		p1_TempKomp,
		p1_ManTemp,
		p1_UnitTemp,
		p1_Mode,
		p1_Integration  				
	}
}

MENU Tab_s_settings_2
{
	LABEL	"Settings Phosphax" "|de|Einstelldaten Phosphax";
	ITEMS
	{
		P2_SampleLocation1,
		P2_Range,
		P2_Option,
		P2_CleaningInterv,
		P2_CleaningStart,
		P2_MeasInterv,
		P2_Unit1,
		P2_Unit2,
		P2_Parameter1,
		P2_Parameter2,
		P2_Correction1,
		P2_Correction2,
		P2_HeaterON,
		P2_HeaterOFF
				
	}
}


/************************************************************************/
/*	  Table: Maintenance												*/
/************************************************************************/

MENU Table_Main_Maintenance
{
	LABEL	DEVICE_TITLE ;

	ITEMS
	{
		Tab_s_preferences,
		Tab_s_preferencesM1,
		Tab_s_preferencesM2,
		Tab_s_diag_1,
		Tab_m_settings_1,
		Tab_s_output_1,
		Tab_s_diag_2,
		Tab_m_settings_2,
		Tab_s_output_2
	}
}

/************************************************************************/
/*	  Main Menus														*/
/************************************************************************/

/************************************************************************/
/*	  Menu: Bar															*/
/************************************************************************/

MENU Menu_Main_Maintenance
{
    LABEL		[main_menu];
    ITEMS
    {
        Menu_File,
        Menu_M_Device,
        Menu_M_View,
        //Menu_M_Options,
        Menu_Help
    }
}

/************************************************************************/
/*	  Menu: Device														*/
/************************************************************************/

MENU Menu_M_Device
{
    LABEL		[menu_Device];
    ITEMS
    {
        std_LoadinDevice,
        std_LoadinPC
    }
}

/************************************************************************/
/*	  Menu: View														*/
/************************************************************************/

MENU Menu_M_View
{
    LABEL		[menu_View];
    ITEMS
    {
        OnlineWindow_display,
        OnlineWindow_display_1
//	OnlineWindow_actual_mode
    }
}

/************************************************************************/
/*	  Online-Windows													*/
/************************************************************************/

MENU Tab_m_preferences
{
    LABEL	"Overview" "|de|Allgemein";
    ITEMS
    {
		VendorName,
		ModelName,
		ModelNummer,
		P2_SampleLocation1
		

    }
}

MENU Tab_m_preferencesM1
{
    LABEL	"Overview 2nd device "  "|de|SC1000 zweites Gert";
    ITEMS
    {
		DeviceID2,
		Serial2_1,
		Serial2_2,
		Serial2_3,
		P2_SampleLocation1
			

    }
}


MENU Tab_m_output
{
	LABEL		[menu_output];
	ITEMS
	{
		P2_Measurement1,
		P2_Measurement2
			
	}
}

MENU Tab_m_diag
{
	LABEL	"Diagnostics Phosphax" "|de|Diagnose Phosphax";
	ITEMS
	{
		Status1,
		Error1,
		P2_Diag1,
		P2_Diag2,
		P2_Heater,
		P2_Cooling,
		P2_Filter,
		P2_HumidityD,
		P2_HumidityF,
		P2_Chem1,
		P2_Chem2,
		P2_Attendet,
		P2_Process
			
	}
}

MENU Tab_m_settings_1
{
	LABEL	"Settings pH" "|de|Einstelldaten pH Sonde";
	ITEMS
	{
		p1_SampleLocation	(READ_ONLY),
		p1_TempKomp		(READ_ONLY),
		p1_ManTemp		(READ_ONLY),
		p1_UnitTemp		(READ_ONLY),
		p1_Mode			(READ_ONLY),
		p1_Integration		(READ_ONLY)
	}
}

MENU Tab_m_settings_2
{
	LABEL	"Settings Phosphax" "|de|Einstelldaten Phosphax";
	ITEMS
	{
		P2_SampleLocation1	(READ_ONLY),
		P2_Range		(READ_ONLY),
		P2_Option		(READ_ONLY),
		P2_CleaningInterv	(READ_ONLY),
		P2_CleaningStart	(READ_ONLY),
		P2_MeasInterv		(READ_ONLY),
		P2_Unit1		(READ_ONLY),
		P2_Unit2		(READ_ONLY),
		P2_Parameter1		(READ_ONLY),
		P2_Parameter2		(READ_ONLY),
		P2_Correction1		(READ_ONLY),
		P2_Correction2		(READ_ONLY),
		P2_HeaterON		(READ_ONLY),
		P2_HeaterOFF		(READ_ONLY)
				
	}
}

MENU OnlineWindow_actual_mode
{
	LABEL	"Current mode" "|de|Aktuell";
	ITEMS
	{
		P2_Measurement1,
		P2_Measurement2

	

	}
}

MENU OnlineWindow_display
{
	LABEL	"Measurement Phosphax" "|de|Messwerte Phosphax";
	ITEMS
	{
		Page_display_func1
	}
}

MENU Page_display_func1
{
	LABEL   "Measured Value" "|de|Messwertanzeigen Phosphax" ;
	ITEMS
	{
		BarVal_out_display_func1,
//		BarVal_out_display_func2,
		BarVal_out_display_func3,
		BarVal_out_display_func4
	}
}


MENU BarVal_out_display_func1
{
	LABEL 	"1st chan: value" 	"|de|Kanal 1";
	HELP		[func_ai_out_value_help];
	ITEMS
	{
		P2_Measurement1

	}
}

MENU BarVal_out_display_func2
{
	LABEL 	"1st chan: value" 	"|de|Kanal 1";
	HELP		[func_ai_out_value_help];
	ITEMS
	{
		P2_Measurement2

	}
}

MENU BarVal_out_display_func3
{
	LABEL 	"Process Phase"		"|de|Prozess Schritt";
	HELP		[func_ai_out_value_help];
	ITEMS
	{
		P2_Process
		
	}
}

MENU BarVal_out_display_func4
{
	LABEL   "Remaining time"		"|de|Restzeit";
	HELP		[func_ai_out_value_help];
	ITEMS
	{
		P2_Remain

	}
}

MENU OnlineWindow_display_1
{
	LABEL	"Measurement pH ORP" "|de|Messwerte pH Sonde";
	ITEMS
	{
		Page_display_func1_1
	}
}


MENU Page_display_func1_1
{
	LABEL   "Measured Value" "|de|Messwertanzeigen pH Sonde" ;
	ITEMS
	{
		BarVal_out_display_func1_1,
		BarVal_out_display_func2_1,
		BarVal_out_display_func3_1
	}
}


MENU BarVal_out_display_func1_1
{
	LABEL		"value pH" "|de|Messwert pH" ;
	HELP		[func_ai_out_value_help];
	ITEMS
	{
		p1_Measurement1

	}
}

MENU BarVal_out_display_func2_1
{
	LABEL		"value ORP" "|de|Messwert ORP" ;
	HELP		[func_ai_out_value_help];
	ITEMS
	{
		p1_Measurement2

	}
}

MENU BarVal_out_display_func3_1
{
	LABEL		"Temperature" "|de|Temperatur" ;
	HELP		[func_ai_out_value_help];
	ITEMS
	{
		p1_Measurement3

	}
}

MENU BarVal_out_display_func4_1
{
	LABEL		[func_out_value];
	HELP		[func_ai_out_value_help];
	ITEMS
	{
//		S1_Measurement4

	}
}