/*-----------------------------------------------------------------*/
/*	Copyright (C)	Hach-Lange (2005). All Rights Reserved.	   */
/*	Product:		SIMATIC PDM  			   */
/*	Device:			SC1000 V1       		   */
/*	Description:		Device Description	           */
/*	Dictionary:		SIPADC01.dct			   */
/*  	$Revision:		0.1  $				   */
/*  	$Date:			6.Dec 2005			   */
/*	File:			p1_pH_ORP.inc			   */
/*	Author:			T.Thiel Hach-Lange	           */
/*-----------------------------------------------------------------*/


/************************************************************************/
/*		Variables						*/
/************************************************************************/



VARIABLE p1_Measurement1
{
	LABEL 	"pH Value" 	"|de|Messwert pH";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"pH";
}

VARIABLE p1_Measurement2
{
	LABEL 	"ORP Value" 	"|de|Messwert ORP";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"mV";
}

VARIABLE p1_Measurement3
{
	LABEL 	"Temperature Value" 	"|de|Temperatur";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
//	CONSTANT_UNIT 	"C ";
}

VARIABLE p1_Diag1
{
	LABEL 	"Offset ph" 	"|de|Offset ph";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"pH";
}

VARIABLE p1_Diag2
{
	LABEL 	"Slope ph" 	"|de|Steilheit ph";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"%";
}

VARIABLE p1_Diag3
{
	LABEL 	"Offset ORP" 	"|de|Offset ORP";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"mV";
}

VARIABLE p1_Diag4
{
	LABEL 	"Slope ORP" 	"|de|Steilheit ORP";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"%";
}

VARIABLE p1_Diag5
{
	LABEL 	"" 	"|de|";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
	CONSTANT_UNIT 	"";
}


VARIABLE p1_Diag6
{
	LABEL 	"Software version" 	"|de|Softwareversion";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
			
        }
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	DISPLAY_FORMAT 	".2f";
}

VARIABLE p1_ManTemp
{
	LABEL 	"Temp value manual"	"|de|Temperatur man. Kompensation";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
	
			
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE p1_DaysCal
{
	LABEL 	"Calibration Cycle" 		"|de|Kalibrierinterval";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
	
						
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	CONSTANT_UNIT 	"Tage";
}

VARIABLE p1_DaysRun
{
	LABEL 	"Days since Start up" 		"|de|Tage in Betrieb";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
	
						
		}
	HANDLING	READ;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
	CONSTANT_UNIT 	"Tage";
}

VARIABLE p1_Mode
{
	LABEL 	"Measuring Mode" 		"|de|Betriebsart";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
			DEFAULT_VALUE 0;
			{0,			"pH"	},
			{1,			"ORP"	}		
						
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}


VARIABLE p1_UnitTemp
{
	LABEL 	"Temperature Unit"			"|de|Einheit Temperatur";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
		{
			DEFAULT_VALUE 25;
			
			{0,			"C"   	},
			{1,			"F"     }
			
						
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 	4000;
	WRITE_TIMEOUT 	4000;
}

UNIT Select_unit_T		// dynymic unit relation
{
	p1_UnitTemp:
	p1_Measurement3,
	p1_ManTemp

}

VARIABLE p1_TempKomp
{
	LABEL 	"temperature compensation" 	"|de|Temperaturkompensation";
	CLASS	DYNAMIC;
	TYPE	INTEGER (2)
		{
			{0,		"manual" 	        "|de|manuell"		},
			{1,		"automatic" 		"|de|automatisch" 	}
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE p1_CorrectionSlope
{
	LABEL 	"Correction Slpope"	"|de|Korrekturfaktor Steilheit";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
		MIN_VALUE		0.5 ;
		MAX_VALUE		1.5 ;		
			
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE p1_Correction
{
	LABEL 	"Calib Value"		"|de|Kalibrierwert";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
		MIN_VALUE		 0.0 ;
		MAX_VALUE		 20.0 ;	
			
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE p1_Offset
{
	LABEL 	"Offset "		"|de|Offset";
	CLASS	CONTAINED;
	TYPE	FLOAT
        {
		MIN_VALUE		-5.0 ;
		MAX_VALUE		 5.0 ;		
			
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}

VARIABLE p1_Integration
{
	LABEL 	"Integration"	"|de|Integration in Sekunden";
	CLASS	CONTAINED;
	TYPE	INTEGER (2)
        {
	
        }
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}


VARIABLE p1_SampleLocation
{
	LABEL 	"Probe Location" "|de|Einbauort";
	CLASS	CONTAINED;
	TYPE	ASCII (12)
		{
			DEFAULT_VALUE "";
		}
	HANDLING	READ & WRITE;
	READ_TIMEOUT 4000;
	WRITE_TIMEOUT 4000;
}


/************************************************************************/
/*		COMMANDS														*/
/************************************************************************/


COMMAND read_p1_Measurement1
{
	SLOT 21;
	INDEX 0;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            p1_Measurement1
        }
    }
}

COMMAND read_p1_Measurement2
{
	SLOT 21;
	INDEX 2;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            p1_Measurement2
        }
    }
}

COMMAND read_p1_Measurement3
{
	SLOT 21;
	INDEX 4;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            p1_Measurement3
        }
    }
}

COMMAND read_p1_Diag1
{
	SLOT 21;
	INDEX 74;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            p1_Diag1
        }
    }
}

COMMAND read_p1_Diag2
{
	SLOT 21;
	INDEX 76;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            p1_Diag2
        }
    }
}

COMMAND read_p1_Diag3
{
	SLOT 21;
	INDEX 78;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            p1_Diag3
        }
    }
}

COMMAND read_p1_Diag4
{
	SLOT 21;
	INDEX 80;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            p1_Diag4
        }
    }
}


COMMAND read_p1_Diag6
{
	SLOT 21;
	INDEX 64;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            p1_Diag6
        }
    }
}

COMMAND read_p1_DaysCal
{
	SLOT 21;
	INDEX 83;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            p1_DaysRun,
            p1_DaysCal
        }
    }
}


COMMAND read_p1_ManTemp
{
	SLOT 21;
	INDEX 35;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            p1_ManTemp
        }
    }
}

COMMAND write_p1_ManTemp
{
	SLOT 21;
	INDEX 35;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              p1_ManTemp
        }
        REPLY
        {
            
        }
    }
}


COMMAND read_p1_TempKomp
{
	SLOT 21;
	INDEX 33;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            p1_TempKomp
        }
    }
}

COMMAND write_p1_TempKomp
{
	SLOT 21;
	INDEX 33;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              p1_TempKomp
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_p1_Mode
{
	SLOT 21;
	INDEX 26;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            p1_Mode
        }
    }
}

COMMAND write_p1_Mode
{
	SLOT 21;
	INDEX 26;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              p1_Mode
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_p1_UnitTemp
{
	SLOT 21;
	INDEX 27;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            p1_UnitTemp
        }
    }
}

COMMAND write_p1_UnitTemp
{
	SLOT 21;
	INDEX 27;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              p1_UnitTemp
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_p1_Integration
{
	SLOT 21;
	INDEX 32;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            0,
            0,
            p1_Integration
        }
    }
}

COMMAND write_p1_Integration
{
	SLOT 21;
	INDEX 32;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              p1_Integration
        }
        REPLY
        {
            
        }
    }
}

COMMAND read_p1_SampleLocation
{
	SLOT 21;
	INDEX 14;
    	OPERATION READ;
    	TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            
            p1_SampleLocation
        }
    }
}

COMMAND write_p1_SampleLocation
{
	SLOT 21;
	INDEX 14;
    	OPERATION WRITE;
    	TRANSACTION
    {
        REQUEST
        {
              p1_SampleLocation
        }
        REPLY
        {
            
        }
    }
}

