// tag, descriptor, date ------------------------------------------------------

VARIABLE tag
{
	HELP [tag_help];
	/*
	APPHELP "HART_VAR:TAG";
	*/
	LABEL		[tag];
	CLASS DEVICE;
	TYPE PACKED_ASCII (8);
	HANDLING READ & WRITE;  
}

VARIABLE descriptor
{
	LABEL	[descriptor];
	HELP	[discriptor_help];
	/*
	APPHELP "HART_VAR:DESCR";
	*/
	CLASS DEVICE;
	TYPE PACKED_ASCII (16)
	{
		DEFAULT_VALUE " ";
	}
	HANDLING READ & WRITE;  
}

VARIABLE date
{
	HELP [date_help];
/*
	APPHELP "A Field Device may have sub applications that require being"
		" addressed individually. This Date is used to"
		" identify the application that controls the sub applications."
		" This text can be used by the user in any way. There is"
		" no recommended use.
		" Format: Byte Closest to the Delimiter: Day, Next Byte: Month,
		" Byte Furthest from the Delimiter: Year-1900.
		" NOTE- HART does not recommend using this variable. If you have an"
		" application that controls the sub applications, all of these"
		" applications should be addressed using the HART Frame itself."
		" HART_VAR:UNIT DATE";
*/
	LABEL [date];
	CLASS DEVICE;
	TYPE DATE;
	HANDLING READ&WRITE;
}


COMMAND read_tag_descriptor_date
{
	NUMBER 13 ;

	OPERATION READ;

	TRANSACTION
	{
		REQUEST
		{}

		REPLY
		{
			response_code, device_status,
			tag, descriptor, date
		}
	}

	RESPONSE_CODES
	{
		0,	SUCCESS,	[no_command_specific_errors];
		6,	MISC_ERROR,	[xmtr_specific_command_error];
		16,	MODE_ERROR,	[access_restricted];
	}
}



COMMAND write_tag_descriptor_date
{
	NUMBER 18;

	OPERATION WRITE;

	TRANSACTION
	{
		REQUEST
		{
			tag, descriptor, date
		}

		REPLY
		{
			response_code, device_status, tag, descriptor, date
		}
	}

	RESPONSE_CODES
	{
		0,	SUCCESS,	[no_command_specific_errors];
		5,	MISC_ERROR, [too_few_data_bytes_recieved];
		6,	MISC_ERROR, [xmtr_specific_command_error];
		7,	MODE_ERROR, [in_write_protect_mode];
		16,	MODE_ERROR, [access_restricted];
	}
}



